import bb.cascades 1.3
import "Items"
import "Components"

Tab {
    title: qsTr("Bookmarks") + Retranslate.onLanguageChanged
    description: qsTr("No bookmark")

    imageSource: "asset:///images/dock/bookmarks.png"

    NavigationPane {
	    id: navigationPane
		objectName: "navigationPane"
	    backButtonsVisible: true

		Page {
			titleBar: TitleBar {
				title: qsTr("Bookmarks") + Retranslate.onLanguageChanged
			}
		
			Container {
				horizontalAlignment: HorizontalAlignment.Fill
				verticalAlignment: VerticalAlignment.Fill

				layout: StackLayout {
				}
					
				layoutProperties: StackLayoutProperties {
				}

				SegmentedControl {
					horizontalAlignment: HorizontalAlignment.Center

					options: [
						Option {
							text: qsTr("Favorites") + Retranslate.onLanguageChanged
							value: "bookmarks"
							selected: true
						},
						Option {
							text: qsTr("Sync Folders") + Retranslate.onLanguageChanged
							value: "synfolders"
						}
					]

					onSelectedValueChanged: {
						if (selectedValue == "bookmarks") {
							syncFoldersContainer.visible = false;
							bookmarksContainer.visible = true;
						}
						else {
							bookmarksContainer.visible = false;
							syncFoldersContainer.visible = true;
						}
					}
				}
		
				BookmarksContainer {
					id: bookmarksContainer
					objectName: "bookmarksContainer"

					visible: true;
				}
		
				SyncFoldersContainer {
					id: syncFoldersContainer
					objectName: "syncFoldersContainer"

					visible: false;
				}
			}
		
			actionBarVisibility: ChromeVisibility.Visible
		}
	}
}    
