import bb.cascades 1.3

Container {
	id: activityContainer
    leftMargin: 20.0
    rightMargin: 10.0
    bottomMargin: 0.0
    preferredHeight: 80

    verticalAlignment: VerticalAlignment.Bottom
    horizontalAlignment: HorizontalAlignment.Fill
	
	property variant network: false
	property variant connected: false
	property variant error: false
	property alias status: activityLabel.text
	
    layout: DockLayout {
    }

    layoutProperties: StackLayoutProperties {
    }

    Container {
		bottomPadding: 15.0

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Bottom

    	layout: StackLayout {
	        orientation: LayoutOrientation.LeftToRight
        }
        
        Container {
		    leftPadding: 20.0
		    rightPadding: 10.0

			horizontalAlignment: HorizontalAlignment.Left
			verticalAlignment: VerticalAlignment.Center

			layout: DockLayout {
            }
		    
	        layoutProperties: StackLayoutProperties {
	        }
        
	        ImageView {
	            id: activityNoNetwork
				visible: !activityContainer.network
	            imageSource: "asset:///images/misc/network.png"
	            preferredWidth: 64.0
	            preferredHeight: 64.0
	            scalingMethod: ScalingMethod.None
	            
	            verticalAlignment: VerticalAlignment.Center

	            layoutProperties: StackLayoutProperties {
	            }
	        }
		
	        ImageView {
	            id: activityUnplugged
				visible: activityContainer.network && !activityContainer.connected
	            imageSource: "asset:///images/dock/disable.png"
	            preferredWidth: 64.0
	            preferredHeight: 64.0
	            scalingMethod: ScalingMethod.None
	            
	            verticalAlignment: VerticalAlignment.Center

	            layoutProperties: StackLayoutProperties {
	            }
	        }
		
	        ImageView {
	            id: activityOk
				visible: activityContainer.network && activityContainer.connected && !activityContainer.error
	            imageSource: "asset:///images/misc/cloud.png"
	            preferredWidth: 64.0
	            preferredHeight: 64.0
	            scalingMethod: ScalingMethod.None
	            
	            verticalAlignment: VerticalAlignment.Center

	            layoutProperties: StackLayoutProperties {
	            }
	        }
		
	        ImageView {
	            id: activityError
				visible: activityContainer.network && activityContainer.connected && activityContainer.error
	            imageSource: "asset:///images/misc/error.png"
	            preferredWidth: 64.0
	            preferredHeight: 64.0
	            scalingMethod: ScalingMethod.None
	            
	            verticalAlignment: VerticalAlignment.Center

	            layoutProperties: StackLayoutProperties {
	            }
	        }
		
		    ActivityIndicator {
		        id: activityIndicator
		        objectName: "activityIndicator"
		        
		        preferredWidth: 64.0
		        preferredHeight: 64.0
	
                verticalAlignment: VerticalAlignment.Center

	            layoutProperties: StackLayoutProperties {
	            }
	            
                onStarted: {
                    cancelButton.visible = true
                }
                
                onStopped: {
                    cancelButton.visible = false
                }
            }
        }

        Label {
            id: activityLabel
            text: qsTr("Not connected")
            
            leftMargin: 20

            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Fill

            layoutProperties: StackLayoutProperties {
                spaceQuota: 1.0
            }

            textStyle {
                base: SystemDefaults.TextStyles.BodyText
                fontStyle: FontStyle.Italic
				color: Color.create("#383a3b")
            }
        }
        
        ImageButton {
            id: cancelButton
            objectName: "cancelButton"
            visible: false
            defaultImageSource: "asset:///images/misc/cancel.png"

            leftMargin: 10.0
            rightMargin: 20.0
            
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Right

            layoutProperties: StackLayoutProperties {
            }
        }
    }
    
	ProgressIndicator {
        id: progressIndicator
        objectName: "progressIndicator"
        visible: false
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    }
}
