import bb.cascades 1.3

Container {
	id: chatContainer

    property alias username: userLabel.text
    property alias text: chatText.text
    property alias date: dateLabel.text

    leftMargin: 20.0
    rightMargin: 20.0
    topMargin: 10.0
    bottomMargin: 10.0

    horizontalAlignment: HorizontalAlignment.Fill
	
	layout: DockLayout {
    }
		    
    ImageView {
        id: background
            
		verticalAlignment: VerticalAlignment.Fill
		horizontalAlignment: HorizontalAlignment.Fill

        imageSource: "asset:///images/misc/chat.amd" 
        scalingMethod: ScalingMethod.Fill
    }

    Container {
		leftPadding: 30
		rightPadding: 30
		topPadding: 20
		bottomPadding: 10

        layout: StackLayout {
        }

        Label {
			id: userLabel
			visible: userLabel.text

			horizontalAlignment: HorizontalAlignment.Left

            textStyle {
                base: SystemDefaults.TextStyles.BodyText // BodyText SubtitleText SmallText
				fontWeight: FontWeight.Bold
            }
		}

		TextArea {
			id: chatText

			editable: false;

			horizontalAlignment: HorizontalAlignment.Left

			inputMode: TextAreaInputMode.Chat

            textStyle {
                base: SystemDefaults.TextStyles.BodyText // BodyText SubtitleText SmallText
            }
		}

        Label {
			id: dateLabel

			horizontalAlignment: HorizontalAlignment.Fill
			opacity: 0.8

            textStyle {
                base: SystemDefaults.TextStyles.SubtitleText // BodyText SubtitleText SmallText
				textAlign: TextAlign.Right
				fontStyle: FontStyle.Italic
            }
		}
	}
}
