import bb.cascades 1.3
import "../Items"

import LocaleHandler 1.0


Container {
	leftPadding: 10.0
	rightPadding: 10.0
	bottomPadding: 10.0
	topPadding: 10.0

	horizontalAlignment: HorizontalAlignment.Fill
	verticalAlignment: VerticalAlignment.Fill

	property bool empty: false

	layout: StackLayout {
	    orientation: LayoutOrientation.TopToBottom
    }

    layoutProperties: StackLayoutProperties {
    }
    
    ListView {
        id: syncFoldersList
        objectName: "syncFoldersList"
    
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Top

        signal actionMultiItemsClicked(string action, variant indexPath)
        signal actionItemClicked(string action, variant indexPath)

		attachedObjects: [
			GroupDataModel {
				id: syncFoldersModel
				objectName: "syncFoldersModel"

				sortingKeys: ["id"]
				sortedAscending: false

				grouping: ItemGrouping.None
			},
			LocaleHandler {
				onLanguageChanged: {
					syncList.updateMultiStatus();
				}
			}
		]
    
		layout: StackListLayout {
			headerMode: ListHeaderMode.None
            orientation: LayoutOrientation.TopToBottom
        }

        layoutProperties: StackLayoutProperties {
        }
    
		dataModel: syncFoldersModel

        listItemComponents: [
            ListItemComponent {
                type: "item"

				StandardListItem {
					title: ListItemData.name
//					description: ListItemData.interface + " (" + ListItemData.domain + ")"
				}
            }
        ]

		function itemType(data, indexPath) {
			return "item";
		}


        multiSelectHandler {
            status: qsTr("None selected")
            
            actions: [
				DeleteActionItem {
					title: qsTr("Delete") + Retranslate.onLanguageChanged
					onTriggered: {
//					   syncList.runActionMulti("ACTION_DELETE", syncList.selectionList()); 
					}
				}
	        ]
		    
            onActiveChanged: {
                clearSelection();
            }
        }

		onTriggered: {
			clearSelection();
			select(indexPath);
		}

        onSelectionChanged: {
            // Call a function to update the number of selected items in the multi-select view.
            updateMultiStatus();
        }
        
		function updateMultiStatus() {
			if (selectionList().length > 1) {
				multiSelectHandler.status = qsTr("%1 items selected").arg(selectionList().length);
			} else if (selectionList().length == 1) {
				multiSelectHandler.status = qsTr("1 item selected");
			} else {
				multiSelectHandler.status = qsTr("None selected");
			}
		}

        function runActionMulti(action, indexPath) {
            console.log("action multi detected !", action, indexPath);
            
            actionMultiItemsClicked(action, indexPath);
        }

        function runAction(action, indexPath) {
            console.log("action detected !", action, indexPath);
            
            actionItemClicked(action, indexPath);
        }
    }
}

