import bb.cascades 1.3
import "Items"

import LocaleHandler 1.0
//import myLibrary 1.0

Container {
	leftPadding: 0.0
	rightPadding: 0.0
	bottomPadding: 10.0
	topPadding: 0.0

	horizontalAlignment: HorizontalAlignment.Fill
	verticalAlignment: VerticalAlignment.Fill

	layout: StackLayout {
	    orientation: LayoutOrientation.TopToBottom
    }

    layoutProperties: StackLayoutProperties {
    }
    
	attachedObjects: [
		GroupDataModel {
			id: groupDataModel 
			objectName: "groupDataModel"

			sortingKeys: ["name"]

			grouping: ItemGrouping.None
		},
		LocaleHandler {
			onLanguageChanged: {
				filesList.updateMultiStatus();
			}
		}
	]
    
    ListView {
        id: filesList
        objectName: "filesList"

		property int initialScale: 1
		property int nbrInfoLines: 1
    
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Top

        scrollRole: ScrollRole.Main

        signal actionMultiItemsClicked(string action, variant indexPath)
        signal actionItemClicked(string action, variant indexPath)
		signal zoomFactorChanged(int zoom)

		layout: StackListLayout {
			id: filesListLayout;
			headerMode: ListHeaderMode.None
//			columnCount: 1
		}

        layoutProperties: StackLayoutProperties {
        }
    
		dataModel: groupDataModel

        listItemComponents: [
            ListItemComponent {
                type: "item"
                FileItem {
                }
            }
        ]

        multiSelectHandler {
            status: qsTr("None selected")            
            
            actions: [
	            ActionItem {
	                title: qsTr("Copy to") + Retranslate.onLanguageChanged
	                imageSource: "asset:///images/dock/copy.png"
	                onTriggered: {
		               filesList.runActionMulti("ACTION_COPY", filesList.selectionList()); 
	                }
	            },
	            ActionItem {
	                title: qsTr("Move to") + Retranslate.onLanguageChanged
	                imageSource: "asset:///images/dock/move.png"
	                onTriggered: {
		               filesList.runActionMulti("ACTION_MOVE", filesList.selectionList()); 
	                }
	            },
//	            ActionItem {
//					enabled: false
//	                title: qsTr("Zip") + Retranslate.onLanguageChanged
//	                imageSource: "asset:///images/dock/zip.png"
//	                onTriggered: {
//		               filesList.runActionMulti("ACTION_ZIP", filesList.selectionList()); 
//	                }
//	            },
//	            ActionItem {
//					enabled: false
//	                title: qsTr("Crypt") + Retranslate.onLanguageChanged
//	                imageSource: "asset:///images/dock/crypt.png"
//	                onTriggered: {
//		               filesList.runActionMulti("ACTION_CRYPT", filesList.selectionList()); 
//	                }
//	            },
				ActionItem {
					title: qsTr("Add bookmark") + Retranslate.onLanguageChanged
					imageSource: "asset:///images/dock/addbookmarks.png"
					onTriggered: {
		               filesList.runActionMulti("ACTION_BOOKMARKS", filesList.selectionList()); 
					}
				},
				DeleteActionItem {
					title: qsTr("Delete") + Retranslate.onLanguageChanged
					onTriggered: {
					   filesList.runActionMulti("ACTION_DELETE", filesList.selectionList()); 
					}
				}
	        ]
		    
            onActiveChanged: {
                clearSelection();
            }
        }
        
		gestureHandlers: [
			PinchHandler {
				onPinchStarted: {
					filesList.initialScale = filesList.nbrInfoLines;
				}

				onPinchUpdated: {
					var scale = filesList.initialScale + Math.round((event.pinchRatio-1) * 3.2);
					if ((scale > 0) && (scale < 4)) {
						filesList.nbrInfoLines = scale;
					}
				}

				onPinchEnded: {
					filesList.zoomFactorChanged(filesList.nbrInfoLines);
				}
			}
		]

		onTriggered: {
			clearSelection();
			select(indexPath);
		}

        onSelectionChanged: {
            // Call a function to update the number of selected items in the multi-select view.
            updateMultiStatus();
        }
        
		function updateMultiStatus() {
			if (selectionList().length > 1) {
				multiSelectHandler.status = qsTr("%1 items selected").arg(selectionList().length);
			} else if (selectionList().length == 1) {
				multiSelectHandler.status = qsTr("1 item selected");
			} else {
				multiSelectHandler.status = qsTr("None selected");
			}
		}

        function runActionMulti(action, indexPath) {
            console.log("action multi detected !", action, indexPath);
            
            actionMultiItemsClicked(action, indexPath);
        }

        function runAction(action, indexPath) {
            console.log("action detected !", action, indexPath);
            
            actionItemClicked(action, indexPath);
        }
    }
}

