import bb.cascades 1.3

Page {
    titleBar: TitleBar {
        title: qsTr("About...") + Retranslate.onLanguageChanged
    }
	
	content: Container {
		background: Color.create('#000000')

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		layout: DockLayout {
		}

        ScrollView {
            scrollViewProperties.pinchToZoomEnabled: false
            scrollViewProperties.scrollMode: ScrollMode.Vertical
            
            Container {
                horizontalAlignment: HorizontalAlignment.Fill

                layout: StackLayout {
                }
                
                ImageView {
	                imageSource: "asset:///images/help/splash.png"
	                scalingMethod: ScalingMethod.AspectFit
	                leftPadding: 50.0
	                topPadding: 50.0
	                bottomPadding: 50.0
	                rightPadding: 50.0
	                preferredWidth: 980.0
	                preferredHeight: 606.0
	                horizontalAlignment: HorizontalAlignment.Center
	            }
	
	
	            Container {
	                leftPadding: 20.0
	                rightPadding: 20.0
	                
                    horizontalAlignment: HorizontalAlignment.Center

	                layout: StackLayout {
	                }

                    Label {
		                text: qsTr("PlayCloud for BlackBerry® 10") + Retranslate.onLanguageChanged
		                
		                textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                    fontWeight: FontWeight.Bold
		                }
		            }
		                    
		            Label {
		                text: qsTr("Build with Cascades Native SDK") + Retranslate.onLanguageChanged
		                
		                textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                }
		            }
		        
		            Label {
		                text: qsTr("Copyright © Nicolas VIVIEN") + Retranslate.onLanguageChanged
		                
		                textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                    fontStyle: FontStyle.Italic
		                }
		            }
		            
		            Label {
		                text: qsTr("@ ProgWeb 2012-2014 - All rights reserved.") + Retranslate.onLanguageChanged
		                
		                textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                    fontStyle: FontStyle.Italic
		                }
		            }
		            
		            Label {
		                text: qsTr("Visit http://www.progweb.com") + Retranslate.onLanguageChanged
		                
		                textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                }
		            }
		        }
	        }
        }
    }

    actions: [
        ActionItem { 
            title: qsTr("Visit") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/help/progweb.png"
            
//            ActionBar.placement: ActionBarPlacement.OnBar
            ActionBar.placement: ActionBarPlacement.Signature
            
            // When this action is selected, pop the current Page off
            // of the stack and delete it
            onTriggered: {
				playcloud.openUrlExternally("http://www.progweb.com/category/blackberry/");
            }
        }
    ]
}
