import bb.cascades 1.3

Page {
    titleBar: TitleBar {
        title: qsTr("Contacts") + Retranslate.onLanguageChanged
    }
	
	content: Container {
		background: Color.create('#000000')

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		layout: DockLayout {
		}

        ScrollView {
            scrollViewProperties.pinchToZoomEnabled: false
            scrollViewProperties.scrollMode: ScrollMode.Vertical

            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                
                layout: StackLayout {
                }

                ImageView {
	                imageSource: "asset:///images/help/appworld.png"
	                scalingMethod: ScalingMethod.AspectFit
	                topPadding: 50.0
	                bottomPadding: 50.0
	                preferredWidth: 480.0
	                preferredHeight: 800.0
	                horizontalAlignment: HorizontalAlignment.Center
	            }
	            
	            Container {
	                leftPadding: 20.0
	                rightPadding: 20.0
	                
                    horizontalAlignment: HorizontalAlignment.Center

	                layout: StackLayout {
	                }

		            TextArea {
                    	editable: false
		                text: qsTr("Contact us in using BlackBerry World support or on Twitter @prognweb") + Retranslate.onLanguageChanged

		                textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                }
		            }

		            TextArea {
                    	editable: false
		                text: qsTr("You can submit your issues or your feature requests.") + Retranslate.onLanguageChanged

                        textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                    fontStyle: FontStyle.Italic
		                }
		            }
	            }
	        }
        }
    }

	attachedObjects: [
		Invocation {
			id: invoke
			query {
				mimeType: "application/x-bb-appworld"
				uri: "appworld://content/136397"
			}
		}
	]

    actions: [
        ActionItem { 
            title: qsTr("Support") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/help/support.png"

//            ActionBar.placement: ActionBarPlacement.OnBar
            ActionBar.placement: ActionBarPlacement.Signature
           
            // When this action is selected, pop the current Page off
            // of the stack and delete it
            onTriggered: {
//				playcloud.openUrlExternally("http://appworld.blackberry.com/webstore/content/136397/");
				invoke.trigger("bb.action.OPEN");
            }
        }
    ]
}
