import bb.cascades 1.3

Page {
    titleBar: TitleBar {
        title: qsTr("Credits") + Retranslate.onLanguageChanged
    }
	
	content: Container {
		background: Color.create('#000000')

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		layout: DockLayout {
		}

        ScrollView {
            scrollViewProperties.pinchToZoomEnabled: false
            scrollViewProperties.scrollMode: ScrollMode.Vertical

            Container {
                layout: StackLayout {
                }
                
                Label {
                    text: qsTr("Third parts") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.BigText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "PlayCloud is built in using BlackBerry Cascades framework (Qt) and used opensource libraries."
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.BodyText
	                }
                }

                TextArea {
                    editable: false
                    text: qsTr(
                        "cURL - the multiprotocol file transfer library\n" +
						"License: MIT/X derivate license\n" +
						"http://curl.haxx.se/libcurl"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "OpenSSL - SSL and TLS libraries\n" +
						"License: Apache-style licence and SSLeay License\n" +
						"http://curl.haxx.se/libcurl"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "c-ares - DNS requests and name resolves asynchronously\n" +
						"License: MIT licensed\n" +
						"http://c-ares.haxx.se"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "TagLib - TagLib Audio Meta-Data Library\n" +
						"License: LGPL and MPL\n" +
						"http://taglib.github.com"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "CUPS - Open source printing system library\n" +
						"License: LGPL\n" +
						"http://www.cups.org"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "Fine Free File Command - File type determination library using \"magic\" numbers\n" +
						"Copyright: Ian F. Darwin and others\n" +
						"http://www.darwinsys.com/file"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "Avahi - mDNS/DNS-SD protocol suite\n" +
						"License: LGPL\n" +
						"http://www.avahi.org/"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
                
                Divider {
                }
                
                Label {
                    text: qsTr("Contributors") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.BigText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "Contributors (internationalization and otherwise)"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.BodyText
	                }
                }

                TextArea {
                    editable: false
                    text: qsTr(
                        "Dmitriy Zakharov - @Pumano : Russian translation"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }

                TextArea {
                    editable: false
                    text: qsTr(
                        "Jakub Cabak - @JCabak : Polish translation\n" +
                        "http://www.JCabak.com"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
	                }
                }
			}
        }
    }
}
