import bb.cascades 1.3

import LocaleHandler 1.0

Page {
    titleBar: TitleBar {
        title: qsTr("Help") + Retranslate.onLanguageChanged
    }

	content: Container {
		background: Color.create('#000000')

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		layout: DockLayout {
		}

        ScrollView {
            scrollViewProperties.pinchToZoomEnabled: false
            scrollViewProperties.scrollMode: ScrollMode.Vertical

            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                
                layout: StackLayout {
                }
                
                WebView {
					id: helpWebView

                    url: qsTr("local:///assets/html/help.html") + Retranslate.onLanguageChanged
                    
                    settings.javaScriptEnabled: false
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                    settings.defaultFontSize: 12
                    settings.background: Color.Black
                }
	        }
        }
    }
	
	
	attachedObjects: [
//		LocaleHandler {
//			onLanguageChanged: {
//				helpWebView.url = playcloud.getHelpPage();
//			}
//		},
		ComponentDefinition {
			id: pageAboutDefinition
			source: "asset:///Help/About.qml"
		},
		ComponentDefinition {
			id: pageContactDefinition
			source: "asset:///Help/Contact.qml"
		},
		ComponentDefinition {
			id: pageChannelDefinition
			source: "asset:///Help/Channel.qml"
		},
		ComponentDefinition {
			id: pagePolicyDefinition
			source: "asset:///Help/Policy.qml"
		},
		ComponentDefinition {
			id: pageCreditsDefinition
			source: "asset:///Help/Credits.qml"
		},
		ComponentDefinition {
			id: pageReleasesDefinition
			source: "asset:///Help/Releases.qml"
		}
	]

    actions: [
        ActionItem { 
            title: qsTr("About") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/help/about.png"
           
            onTriggered: {
                var page = pageAboutDefinition.createObject();
                
				navigationPane.push(page);
            }
        },
        ActionItem { 
            title: qsTr("Contact") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/help/contact.png"
           
            onTriggered: {
                var page = pageContactDefinition.createObject();
                
				navigationPane.push(page);
            }
        },
        ActionItem { 
            title: qsTr("Channel") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/help/bbmchannel.png"
           
            onTriggered: {
                var page = pageChannelDefinition.createObject();
                
				navigationPane.push(page);
            }
        },
        ActionItem { 
            title: qsTr("Policy") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/help/policy.png"
           
            onTriggered: {
                var page = pagePolicyDefinition.createObject();
                
				navigationPane.push(page);
            }
        },
        ActionItem { 
            title: qsTr("Credits") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/help/credits.png"
           
            onTriggered: {
                var page = pageCreditsDefinition.createObject();
                
				navigationPane.push(page);
            }
        },
        ActionItem { 
            title: qsTr("Releases") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/help/release.png"
           
            onTriggered: {
                var page = pageReleasesDefinition.createObject();
                
				navigationPane.push(page);
            }
        }
    ]

	onCreationCompleted: {
		OrientationSupport.supportedDisplayOrientation = 
			SupportedDisplayOrientation.All;
	}
}

