import bb.cascades 1.3

Page {
    titleBar: TitleBar {
        title: qsTr("Releases") + Retranslate.onLanguageChanged
    }
	
	content: Container {
		background: Color.create('#000000')

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		layout: DockLayout {
		}

        ScrollView {
            scrollViewProperties.pinchToZoomEnabled: false
            scrollViewProperties.scrollMode: ScrollMode.Vertical

            Container {
                layout: StackLayout {
                }

                Label {
                    text: qsTr("v4.0.0 - October, 16th 2015") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
						"+ New: 10.3 OS features\n" +
						"+ New: Update Box support\n" +
						"+ New: Vietnamese translation\n" +
						"+ Fix: Passport support"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.9.0 - August, 1st 2014") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
						"+ New: FTP over SSL support (uri scheme: ftps://)\n" +
						"+ New: SFTP support (uri scheme: sftp://)\n" +
						"+ Fix: Select all may to close"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.8.0 - July, 3rd 2014") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
						"+ New: Open with the default application\n" +
						"+ New: Google Print Cloud support\n" +
						"+ New: Print URL to PDF\n" +
                        "+ New: Authentification webdav method\n" +
						"+ New: Select all\n" +
						"+ New: Password protection\n" +
						"+ Fix: Italian support\n" +
						"+ Fix: USB info\n" +
						"+ Fix: Network usage for BES users\n" +
						"+ Fix: Online status"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.7.0 - April, 15th 2014") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
						"+ New UI!\n" +
						"+ Hide files or folders\n" +
						"+ Rebrand SkyDrive to OneDrive\n" +
						"+ SSL handshake preference\n" +
						"+ SSL certificate check\n" +
						"+ Italian support\n" +
                        "+ Fix and translations"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.6.0 - January, 2nd 2014") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ FTP active and passive transfer mode\n" +
                        "+ Fix and translations"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.5.0 - November, 2nd 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ New Box API - OAuth2\n" +
                        "+ PhotoWall 3D integration"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.4.0 - August, 30th 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ Memory & Performance improvement\n" +
                        "+ New cover flow UI design\n" +
						"+ New connect icon\n" +
						"+ Bookmarks\n" +
						"+ Multi-account support\n" +
						"+ Bright & black theme"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.3.0 - June, 12th 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ UI enhancement\n" +
                        "+ Printer discovery\n" +
						"+ Google Doc and Image printing"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.2.0 - May, 22th 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ Box update\n" +
                        "+ BlackBerry Link support"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.1.0 - May, 6th 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ Q10 support\n" +
                        "+ Google Doc support\n" +
                        "+ Full SugarSync support\n" +
                        "+ Fix UTF-8 support"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v3.0.0 - April, 20th 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ Q10 support (first release)\n" +
                        "+ Print test page\n" +
                        "+ Thumbnails for WebDAV and FTP/FTP-SSL\n" +
                        "+ Box & Dropbox native integration\n" +
                        "+ Google Doc support\n" +
                        "+ Google Drive sharing support\n" +
                        "+ Permit to see Google document share with me"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v2.6.0 - March, 26th 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
						"+ Save and create new revision on Cloud\n" +
						"+ Open remote files on Cloud"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v2.5.0 - March, 13th 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ Audio ID tag editor\n" +
						"+ First Q10 support\n" +
						"+ WebDAV (Basic & Digest auth support)"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v2.4.0 - January, 30th 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ New icons\n" +
						"+ Local files search\n" +
						"+ Media sharing over social networks"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v2.3.0 - January, 8th 2013") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ Add Sugarsync cloud storage service\n" +
						"+ OpenDataSpace support (experimental)"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v2.2.0 - December, 24th 2012") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ German and russian translation\n" +
                        "+ Fix SD-Card support\n" +
						"+ OpenDataSpace support (experimental)"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }

                Divider {
                }

                Label {
                    text: qsTr("v2.1.0 - December, 2nd 2012") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }

                TextArea {
                    editable: false
                    text: qsTr(
                        "+ New application menu branding\n" +
						"+ New print feature (IPP support & PDF/PS)\n" +
                        "+ Add/Fix translations"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }
                
                Divider {
                }
                                
                Label {
                    text: qsTr("v2.0.0 - November, 11th 2012") + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SubtitleText
		                fontWeight: FontWeight.Bold
	                }
                }
                
                TextArea {
                    editable: false
                    text: qsTr(
                        "+ Local & System view\n" +
						"+ SD-Card support\n" +
                        "+ Dropbox support\n" +
                        "+ Box support\n" +
                        "+ Google Drive support\n" +
                        "+ Skydrive support\n" +
						"+ OpenDataSpace support (experimental)\n" +
                        "+ Webdav support\n" + 
						"+ FTP(SSL)/SFTP support\n" +
                        "+ Background transfers\n" + 
						"+ Internationalization support\n" +
                        "+ Network WiFi & Cellular choice (roaming management)\n" + 
                        "+ Transfers progress status\n" +
                        "+ Transfers complete notification\n" +
                        "+ BlackBerry and third party applications integration\n" +
						"+ Mutli-select feature\n" +
						"+ Open, Copy, move or delete files\n" +
						"+ File details view (with comments)\n" +
						"+ Image and audio thumbnails support\n" +
						"+ EXIF metadata image support\n" +
						"+ Network cache data\n" +
                        "+ Help embedded"
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    color: Color.White
	                    base: SystemDefaults.TextStyles.SmallText
	                }
                }
            }
        }
    }
}
