import bb.cascades 1.3

Page {
	id: infoPage
	objectName: "infoPage"

    property alias activity: dataLoadIndicator.running

    property alias showdata: dataContainer.visible
    property alias showcomments: commentsContainer.visible
    property alias showerror: errorContainer.visible

	property int error: 0

    titleBar: TitleBar {
        title: qsTr("File info") + Retranslate.onLanguageChanged
    }
	
    ScrollView {
        scrollViewProperties.scrollMode: ScrollMode.Vertical
        scrollViewProperties.pinchToZoomEnabled: false

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		content: Container {
			objectName: "fileInfoLists"

			leftPadding: 15.0
			rightPadding: 15.0
			topPadding: 15.0
			bottomPadding: 15.0

			horizontalAlignment: HorizontalAlignment.Center

	        layout: StackLayout {
	        }
	        
	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
	        
	        Container {
	            bottomMargin: 20.0
	            preferredWidth: 1440
	
				horizontalAlignment: HorizontalAlignment.Fill

				layout: StackLayout {
					orientation: LayoutOrientation.LeftToRight
				}
	            
	            layoutProperties: StackLayoutProperties {
	            }
	
	            ImageView {
					preferredWidth: 120.0
					preferredHeight: 120.0
					minWidth: 120.0
					minHeight: 120.0
					
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Center
		
					// The image is bound to the data in models/recipemodel.xml image attribute.
					imageSource: itemobject.icon
					scalingMethod: ScalingMethod.AspectFit
					
					layoutProperties: StackLayoutProperties {
					}
					
					leftMargin: 10.0
					rightMargin: 10.0
	            }
		
		        Label {
		            text: itemobject.name
		            
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Center

	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                    fontWeight: FontWeight.Bold
	                }
		        }
		    }

//			SegmentedControl {
//				objectName: "segmentedControl"
//
//				horizontalAlignment: HorizontalAlignment.Center
//
//				options: [
//					Option {
//						text: qsTr("Info") + Retranslate.onLanguageChanged
//						value: "info"
//						selected: true
//					}
////					Option {
////						text: qsTr("Comments") + Retranslate.onLanguageChanged
////						value: "comments"
////					}
//				]
//
//				onSelectedValueChanged: {
//					dataContainer.visible = false;
//					commentsContainer.visible = false;
//					errorContainer.visible = false;
//
//					dataLoadIndicator.running = true;
//				}
//			}

            Container {
	            preferredWidth: 1440
                horizontalAlignment: HorizontalAlignment.Center

				layout: DockLayout {
				}

                ActivityIndicator {
					id: dataLoadIndicator
					preferredWidth: 400
					preferredHeight: 400
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Top
	                running: true
	            }
	
	            Container {
	                id: dataContainer
	                objectName: "dataContainer"
					visible: false
	
		            Container {
						horizontalAlignment: HorizontalAlignment.Fill
		
				        layout: StackLayout {
				        }
				        
				        layoutProperties: StackLayoutProperties {
				        }
				        
				        Label {
				            text: qsTr("Size") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0

							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            text: itemobject.size
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		
				        Label {
				            text: qsTr("Last modification") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0

							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            text: itemobject.date
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
					}
				}

	            Container {
	                id: commentsContainer
	                objectName: "commentsContainer"
					visible: false
	
					horizontalAlignment: HorizontalAlignment.Fill
	
			        layout: StackLayout {
			        }
			        
			        layoutProperties: StackLayoutProperties {
			        }
			        
			        Label {
			            text: qsTr("None comment") + Retranslate.onLanguageChanged
	
						horizontalAlignment: HorizontalAlignment.Left
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                }
			        }
                }

				Container {
					id: errorContainer
					objectName: "errorContainer"
					visible: false
		
					horizontalAlignment: HorizontalAlignment.Fill
		
					layout: StackLayout {
					}
						
					layoutProperties: StackLayoutProperties {
					}

					Label {
						text: qsTr("Connection failure !") + Retranslate.onLanguageChanged
						visible: infoPage.error == 0
	
						horizontalAlignment: HorizontalAlignment.Fill
	
						textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}
					}
				}
			}		
		}
	}

	onCreationCompleted: {
		OrientationSupport.supportedDisplayOrientation = 
			SupportedDisplayOrientation.All;
	}
}

