import bb.cascades 1.3

Page {
	id: infoPage
	objectName: "infoPage"

    property alias showdata: dataContainer.visible
    property alias showproperties: propertiesContainer.visible

	property alias tag_title: tag_title.text
	property alias tag_artist: tag_artist.text
	property alias tag_album: tag_album.text
	property alias tag_genre: tag_genre.text
	property alias tag_comment: tag_comment.text
	property alias tag_year: tag_year.text
	property alias tag_track: tag_track.text

	property alias action: actionSave.enabled


    titleBar: TitleBar {
        title: qsTr("File info") + Retranslate.onLanguageChanged
    }
	
    ScrollView {
        scrollViewProperties.scrollMode: ScrollMode.Vertical

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		content: Container {
			objectName: "fileInfoLists"

			leftPadding: 15.0
			rightPadding: 15.0
			topPadding: 15.0
			bottomPadding: 15.0

			horizontalAlignment: HorizontalAlignment.Center

	        layout: StackLayout {
	        }
	        
	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
	        
	        Container {
	            bottomMargin: 20.0
	            preferredWidth: 1440
	
				horizontalAlignment: HorizontalAlignment.Fill

				layout: StackLayout {
					orientation: LayoutOrientation.LeftToRight
				}
	            
	            layoutProperties: StackLayoutProperties {
	            }
	
	            ImageView {
					preferredWidth: 120.0
					preferredHeight: 120.0
					minWidth: 120.0
					minHeight: 120.0
					
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Center
		
					// The image is bound to the data in models/recipemodel.xml image attribute.
					imageSource: itemobject.icon
					scalingMethod: ScalingMethod.AspectFit
					
					layoutProperties: StackLayoutProperties {
					}
					
					leftMargin: 10.0
					rightMargin: 10.0
	            }
		
		        Label {
		            text: itemobject.name
		            
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Center

	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                    fontWeight: FontWeight.Bold
	                }
		        }
		    }

			SegmentedControl {
				objectName: "segmentedControl"

				horizontalAlignment: HorizontalAlignment.Center

				options: [
					Option {
						text: qsTr("Info") + Retranslate.onLanguageChanged
						value: "info"
						selected: true
					},
					Option {
						text: qsTr("Properties") + Retranslate.onLanguageChanged
						value: "properties"
					}
				]

				onSelectedValueChanged: {
					dataContainer.visible = false;
					propertiesContainer.visible = false;
				}
			}

            Container {
	            preferredWidth: 1440
                horizontalAlignment: HorizontalAlignment.Center

				layout: DockLayout {
				}

	            Container {
	                id: dataContainer
	
		            Container {
						horizontalAlignment: HorizontalAlignment.Fill
		
				        layout: StackLayout {
				        }
				        
				        layoutProperties: StackLayoutProperties {
				        }
				        
				        Label {
				            text: qsTr("Size") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0

							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            text: itemobject.size
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		
				        Label {
				            text: qsTr("Last modification") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0

							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            text: itemobject.date
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }

				        Label {
				            text: qsTr("Path") + Retranslate.onLanguageChanged
		                    topMargin: 30.0
		
	                        translationX: 10.0

							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

						TextArea {
				            text: itemobject.path
							editable: false
						}
					}
				}


	            Container {
	                id: propertiesContainer
	                objectName: "propertiesContainer"
					visible: false
	
					horizontalAlignment: HorizontalAlignment.Fill
	
			        layout: StackLayout {
			        }
			        
			        layoutProperties: StackLayoutProperties {
			        }

			        Label {
			            text: qsTr("Title") + Retranslate.onLanguageChanged
	
						horizontalAlignment: HorizontalAlignment.Left
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                }
			        }
			        
			        TextField {
			            id: tag_title
	                    leftPadding: 10.0
	                    rightPadding: 10.0
	                    
						horizontalAlignment: HorizontalAlignment.Fill
	                    clearButtonVisible: true
	                    enabled: true
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                    textAlign: TextAlign.Left
		                }

						onTextChanged: {
							actionSave.enabled = true;
						}
	                }

			        Label {
			            text: qsTr("Artist") + Retranslate.onLanguageChanged
	
						horizontalAlignment: HorizontalAlignment.Left
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                }
			        }
			        
			        TextField {
			            id: tag_artist
	                    leftPadding: 10.0
	                    rightPadding: 10.0
	                    
						horizontalAlignment: HorizontalAlignment.Fill
	                    clearButtonVisible: true
	                    enabled: true
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                    textAlign: TextAlign.Left
		                }

						onTextChanged: {
							actionSave.enabled = true;
						}
	                }

			        Label {
			            text: qsTr("Album") + Retranslate.onLanguageChanged
	
						horizontalAlignment: HorizontalAlignment.Left
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                }
			        }

			        TextField {
			            id: tag_album
	                    leftPadding: 10.0
	                    rightPadding: 10.0
	                    
						horizontalAlignment: HorizontalAlignment.Fill
	                    clearButtonVisible: true
	                    enabled: true
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                    textAlign: TextAlign.Left
		                }

						onTextChanged: {
							actionSave.enabled = true;
						}
	                }

			        Label {
			            text: qsTr("Genre") + Retranslate.onLanguageChanged
	
						horizontalAlignment: HorizontalAlignment.Left
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                }
			        }

			        TextField {
			            id: tag_genre
	                    leftPadding: 10.0
	                    rightPadding: 10.0
	                    
						horizontalAlignment: HorizontalAlignment.Fill
	                    clearButtonVisible: true
	                    enabled: true
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                    textAlign: TextAlign.Left
		                }

						onTextChanged: {
							actionSave.enabled = true;
						}
	                }

			        Label {
			            text: qsTr("Comment") + Retranslate.onLanguageChanged
	
						horizontalAlignment: HorizontalAlignment.Left
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                }
			        }

			        TextField {
			            id: tag_comment
	                    leftPadding: 10.0
	                    rightPadding: 10.0
	                    
						horizontalAlignment: HorizontalAlignment.Fill
	                    clearButtonVisible: true
	                    enabled: true
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                    textAlign: TextAlign.Left
		                }

						onTextChanged: {
							actionSave.enabled = true;
						}
	                }

			        Label {
			            text: qsTr("Year") + Retranslate.onLanguageChanged
	
						horizontalAlignment: HorizontalAlignment.Left
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                }
			        }

			        TextField {
			            id: tag_year
	                    leftPadding: 10.0
	                    rightPadding: 10.0
	                    
						horizontalAlignment: HorizontalAlignment.Fill
	                    clearButtonVisible: true
	                    enabled: true
						inputMode: TextFieldInputMode.NumbersAndPunctuation
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                    textAlign: TextAlign.Left
		                }

						onTextChanged: {
							actionSave.enabled = true;
						}
	                }

			        Label {
			            text: qsTr("Track") + Retranslate.onLanguageChanged
	
						horizontalAlignment: HorizontalAlignment.Left
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                }
			        }

			        TextField {
			            id: tag_track
	                    leftPadding: 10.0
	                    rightPadding: 10.0
	                    
						horizontalAlignment: HorizontalAlignment.Fill
	                    clearButtonVisible: true
	                    enabled: true
						inputMode: TextFieldInputMode.NumbersAndPunctuation
	
	                    layoutProperties: StackLayoutProperties {
	                    }
	
	                    textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                    textAlign: TextAlign.Left
		                }

						onTextChanged: {
							actionSave.enabled = true;
						}
	                }
                }
			}		
		}
	}

    actions: [
        ActionItem { 
			id: actionSave
			objectName: "actionSave"
			enabled: false

            title: qsTr("Save") + Retranslate.onLanguageChanged

            imageSource: "asset:///images/dock/save.png"

//			ActionBar.placement: ActionBarPlacement.OnBar
			ActionBar.placement: ActionBarPlacement.Signature
        }
    ]

	onCreationCompleted: {
		OrientationSupport.supportedDisplayOrientation = 
			SupportedDisplayOrientation.All;
	}
}

