import bb.cascades 1.3

Page {
    property alias activity: dataLoadIndicator.running
    property alias showdata: dataContainer.visible

	property alias size: sizeField.text
	property alias created: createdField.text
	property alias modified: modifiedField.text

    titleBar: TitleBar {
        title: qsTr("File info") + Retranslate.onLanguageChanged
    }
	
    ScrollView {
        scrollViewProperties.scrollMode: ScrollMode.Vertical
        scrollViewProperties.pinchToZoomEnabled: false

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		content: Container {
			objectName: "fileInfoLists"

			leftPadding: 15.0
			rightPadding: 15.0
			topPadding: 15.0
			bottomPadding: 15.0

			horizontalAlignment: HorizontalAlignment.Center

	        layout: StackLayout {
	        }
	        
	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
	        
	        Container {
	            bottomMargin: 20.0
	            preferredWidth: 1440
	
				horizontalAlignment: HorizontalAlignment.Fill

				layout: StackLayout {
					orientation: LayoutOrientation.LeftToRight
				}
	            
	            layoutProperties: StackLayoutProperties {
	            }
	
	            ImageView {
					preferredWidth: 120.0
					preferredHeight: 120.0
					minWidth: 120.0
					minHeight: 120.0
					
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Center
		
					// The image is bound to the data in models/recipemodel.xml image attribute.
					imageSource: itemobject.icon
					scalingMethod: ScalingMethod.AspectFit
					
					layoutProperties: StackLayoutProperties {
					}
					
					leftMargin: 10.0
					rightMargin: 10.0
	            }
		
		        Label {
		            text: itemobject.name
		            
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Center

	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                    fontWeight: FontWeight.Bold
	                }
		        }
		    }

            Container {
	            preferredWidth: 1440
                horizontalAlignment: HorizontalAlignment.Center

				layout: DockLayout {
				}

                ActivityIndicator {
					id: dataLoadIndicator
					preferredWidth: 400
					preferredHeight: 400
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Top
	                running: true
	            }
	
	            Container {
	                id: dataContainer
					visible: false
	
		            Container {
						horizontalAlignment: HorizontalAlignment.Fill
		
				        layout: StackLayout {
				        }
				        
				        layoutProperties: StackLayoutProperties {
				        }
				        
				        Label {
				            text: qsTr("Size") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0

							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
							id: sizeField
							text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		
				        Label {
				            text: qsTr("Created") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0

							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }

						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
							id: created
							text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }

				        Label {
				            text: qsTr("Last modification") + Retranslate.onLanguageChanged
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
				        TextField {
							id: modifiedField
							text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
                    }
				}
			}		
		}
	}
}

