import bb.cascades 1.3

Page {
	objectName: "openPage"

    titleBar: TitleBar {
        title: qsTr("Open with...") + Retranslate.onLanguageChanged
    }
	
	content: Container {
	    id: parentContainer
	    
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

        layout: StackLayout {
        }

	    ScrollView {
			id: invokeScrollContainer
	
	        scrollViewProperties.scrollMode: ScrollMode.Vertical
	        scrollViewProperties.pinchToZoomEnabled: false
	
			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Fill
			
			content: Container {
				id: invokeMainContainer
				
				horizontalAlignment: HorizontalAlignment.Fill
				verticalAlignment: VerticalAlignment.Fill
	
				Container {
					bottomMargin: 20.0
					preferredWidth: 1440
		
					leftPadding: 15.0
					rightPadding: 15.0
					topPadding: 15.0
					bottomPadding: 15.0

					horizontalAlignment: HorizontalAlignment.Fill

					layout: StackLayout {
						orientation: LayoutOrientation.LeftToRight
					}
					
					layoutProperties: StackLayoutProperties {
					}
		
					ImageView {
						preferredWidth: 120.0
						preferredHeight: 120.0
						minWidth: 120.0
						minHeight: 120.0
						
						horizontalAlignment: HorizontalAlignment.Center
						verticalAlignment: VerticalAlignment.Center
			
						// The image is bound to the data in models/recipemodel.xml image attribute.
						imageSource: itemobject.icon
						scalingMethod: ScalingMethod.AspectFit
						
						layoutProperties: StackLayoutProperties {
						}
						
						leftMargin: 10.0
						rightMargin: 10.0
					}
			
					Label {
						text: itemobject.name
						
						horizontalAlignment: HorizontalAlignment.Center
						verticalAlignment: VerticalAlignment.Center

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
							fontWeight: FontWeight.Bold
						}
					}
				}

	            Container {
					objectName: "invokeInsideListButtons"
	
					visible: !invokeCheckBox.checked
	
					topPadding: 50
					leftPadding: 50
					rightPadding: 50
	
					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Top
					
	                layout: StackLayout {
						orientation: LayoutOrientation.TopToBottom
	                }
				}
	
				Container {
					objectName: "invokeOutsideListButtons"
	
					visible: invokeCheckBox.checked
	
					topPadding: 50
					leftPadding: 50
					rightPadding: 50
	
					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Top
	
					layout: StackLayout {
						orientation: LayoutOrientation.TopToBottom
					}
				}
			}
	    }
	
		Container {
			horizontalAlignment: HorizontalAlignment.Fill
			verticalAlignment: VerticalAlignment.Bottom

            leftPadding: 20.0
            bottomPadding: 10.0

			layout: StackLayout {
				orientation: LayoutOrientation.LeftToRight
			}

            CheckBox {
				id: invokeCheckBox

//				checked: false
				checked: view.invokeNewApp
				
				verticalAlignment: VerticalAlignment.Center

				onCheckedChanged: {
					view.invokeNewApp = checked;
//					settingsModel.editGeneralSettingsItem("bbmupdateactivities", checked);
				}
			}

			TextArea {
				editable: false
				text: qsTr("Open in a new window") + Retranslate.onLanguageChanged

				verticalAlignment: VerticalAlignment.Center
				leftPadding: 20.0
				
				textStyle {
					base: SystemDefaults.TextStyles.BodyText
				}
			}
		}
    }
}

