import bb.cascades 1.3

Page {
    titleBar: TitleBar {
        title: qsTr("PhotoWall") + Retranslate.onLanguageChanged
    }
	
	content: Container {
		background: Color.create('#000000')

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		layout: DockLayout {
		}

        ScrollView {
            scrollViewProperties.pinchToZoomEnabled: false
            scrollViewProperties.scrollMode: ScrollMode.Vertical

            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                
                layout: StackLayout {
                }

                ImageView {
	                imageSource: "asset:///images/photowall.png"
	                scalingMethod: ScalingMethod.AspectFit
	                topPadding: 50.0
	                bottomPadding: 50.0
	                preferredWidth: 476.0
	                preferredHeight: 478.0
	                horizontalAlignment: HorizontalAlignment.Center
	            }
	            
	            Container {
	                leftPadding: 20.0
	                rightPadding: 20.0
	                
                    horizontalAlignment: HorizontalAlignment.Center

	                layout: StackLayout {
	                }

		            TextArea {
                    	editable: false
		                text: qsTr("PhotoWall seems to be not installed on your device") + Retranslate.onLanguageChanged

		                textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                }
		            }

		            TextArea {
                    	editable: false
		                text: qsTr("PhotoWall is a solution to browse easily your photos and offers a powerfull way to share your photos on a HDMI device.") + Retranslate.onLanguageChanged

                        textStyle {
		                    color: Color.White
		                    base: SystemDefaults.TextStyles.BodyText
		                    fontStyle: FontStyle.Italic
		                }
		            }
	            }
	        }
        }
    }

	attachedObjects: [
		Invocation {
			id: invoke
			query {
				mimeType: "application/x-bb-appworld"
				uri: "appworld://content/38514899"
			}
		}
	]

    actions: [
        ActionItem { 
            title: qsTr("Install") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/help/progweb.png"
            
//            ActionBar.placement: ActionBarPlacement.OnBar
            ActionBar.placement: ActionBarPlacement.Signature
            
            // When this action is selected, pop the current Page off
            // of the stack and delete it
            onTriggered: {
				invoke.trigger("bb.action.OPEN");
            }
        }
    ]
}
