import bb.cascades 1.3

Container {
    id: directoryContainer
    opacity: 1.0
    preferredWidth: 400
    minWidth: 400.0

	horizontalAlignment: HorizontalAlignment.Fill
	verticalAlignment: VerticalAlignment.Fill

    layout: DockLayout {
    }
    
    Container {
        id: highlightContainer
        background: Color.create("#75b5d3")
        opacity: 0.0
        
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

        layout: DockLayout {
        }
    }
    
    // The Item content an image and a text.
    Container {
		leftPadding: 3
		topPadding: 10.0
		bottomPadding: 10.0

		horizontalAlignment: HorizontalAlignment.Fill

        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        ImageView {
            preferredWidth: 60.0
            preferredHeight: 60.0
            
            // The image is bound to the data in models/recipemodel.xml image attribute.
            imageSource: "asset:///images/icons/folder.png"
        	scalingMethod: ScalingMethod.AspectFit
            
			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Center

            layoutProperties: StackLayoutProperties {
            }
            
            leftMargin: 10.0
            rightMargin: 10.0
            bottomMargin: 10.0
            topMargin: 10.0
        }
        
        Label {
            // The title is bound to the data in models/recipemodel.xml title attribute.
            text: ListItemData.name
            leftMargin: 20.0

			horizontalAlignment: HorizontalAlignment.Left
			verticalAlignment: VerticalAlignment.Center

            textStyle {
                base: SystemDefaults.TextStyles.SubtitleText // BodyText SubtitleText SmallText
                color: Color.Black
            }
            
            layoutProperties: StackLayoutProperties {
                spaceQuota: -1.0
            }
            opacity: 1.0
        }
    }
    
    function setHighlight(highlighted) {
        if(highlighted) {
            highlightContainer.opacity = 0.9;
        } else {
            highlightContainer.opacity = 0.0;
        }    
    }
    
    ListItem.onActivationChanged : {        
        setHighlight(ListItem.active);
    } 

    ListItem.onSelectionChanged : {
        setHighlight(ListItem.selected);
    }
}
