import bb.cascades 1.3

// Item component for the list presenting available recipes.
Container {
	id: accountContainer

    opacity: 1.0
    preferredWidth: 1440.0

    layout: DockLayout {
    }
    
    Container {
        id: background
        background: Color.create("#75b5d3")
        visible: false

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

        layout: DockLayout {
        }
    }
        
    // The Item content an image and a text.
    Container {
		leftPadding: 3
		topPadding: 10.0
		bottomPadding: 10.0

		horizontalAlignment: HorizontalAlignment.Fill

        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        ImageView {
            preferredWidth: 96.0
            preferredHeight: 96.0
            
			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Center

            imageSource: ListItemData.image
        	scalingMethod: ScalingMethod.AspectFit
            
            layoutProperties: StackLayoutProperties {
            }
            
            leftMargin: 10.0
            rightMargin: 10.0
            bottomMargin: 10.0
            topMargin: 10.0
        }
        
        Label {
            // The title is bound to the data in models/recipemodel.xml title attribute.
            text: ListItemData.title

            leftMargin: 20.0

			horizontalAlignment: HorizontalAlignment.Left
			verticalAlignment: VerticalAlignment.Center

            textStyle {
                base: SystemDefaults.TextStyles.BodyText // BodyText SubtitleText SmallText
            }
            
            layoutProperties: StackLayoutProperties {
                spaceQuota: -1.0
            }
            opacity: 1.0
        }
    }
    
    contextActions: [
        ActionSet {
            DeleteActionItem {
				enabled: !ListItemData.ui.enable && (ListItemData.id > 3)
                title: qsTr("Delete") + Retranslate.onLanguageChanged

                onTriggered: {
                    accountContainer.ListItem.view.deleteAccountItem(accountContainer.ListItem.indexPath);
                }
            }
        }
    ]

    function setHighlight(highlighted) {
        if(highlighted) {
            background.visible = true;
        } else {
            background.visible = false;
        }    
    }
    
    ListItem.onActivationChanged : {        
        setHighlight(ListItem.active);
    } 

    ListItem.onSelectionChanged : {
        setHighlight(ListItem.selected);
    }
}
