import bb.cascades 1.3

//Container {
Container {
    id: filesContainer
        
	leftPadding: 0
	rightPadding: 0
	topPadding: 0
	bottomPadding: 0

    layout: DockLayout {
    }
    
    ImageView {
        id: background
        visible: false
            
		verticalAlignment: VerticalAlignment.Fill
		horizontalAlignment: HorizontalAlignment.Fill

        imageSource: "asset:///images/uncheckedcellskin.amd" 
        scalingMethod: ScalingMethod.Fill
    }

    Container {
        preferredHeight: 350
        
		topPadding: 10
		leftPadding: 10
		rightPadding: 10
		bottomPadding: 20

		horizontalAlignment: HorizontalAlignment.Fill

        layout: StackLayout {
        }

        ImageView {
			id: iconView

			preferredWidth: 330.0
            preferredHeight: 330.0

            topMargin: 0
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0

			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Fill

            imageSource: ListItemData.icon
           	scalingMethod: ScalingMethod.AspectFit
           	
            layoutProperties: StackLayoutProperties {
            }
        }

        Label {
            // The title is bound to the data in models/recipemodel.xml title attribute.
            text: ListItemData.name

            topMargin: 0
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0

			horizontalAlignment: HorizontalAlignment.Center

            textStyle {
                base: SystemDefaults.TextStyles.SmallText // BodyText SubtitleText SmallText
//				fontSize: filesContainer.ListItem.view.labelsize
				fontWeight: FontWeight.Normal
				textAlign: TextAlign.Center
				color: Color.create("#383a3b")
            }
        }
    }
    
    contextActions: [
        ActionSet {
            title: ListItemData.name
            subtitle: qsTr("File action") + Retranslate.onLanguageChanged
            
            ActionItem {
                title: qsTr("Rename") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/dock/rename.png"
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_RENAME", filesContainer.ListItem.indexPath);
                }
				shortcuts: [
					Shortcut {
						key: "e"
					}
				]
            }
            
            ActionItem {
                title: qsTr("Open with...") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/dock/openwith.png"
				enabled: ListItemData.openable
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_OPENWITH", filesContainer.ListItem.indexPath);
                }
				shortcuts: [
					Shortcut {
						key: "o"
					}
				]
            }
            
            ActionItem {
                title: qsTr("Copy to") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/dock/copy.png"
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_COPY", filesContainer.ListItem.indexPath);
                }
				shortcuts: [
					Shortcut {
						key: "c"
					}
				]
            }

            ActionItem {
                title: qsTr("Move to") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/dock/move.png"
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_MOVE", filesContainer.ListItem.indexPath);
                }
				shortcuts: [
					Shortcut {
						key: "m"
					}
				]
            }

            ActionItem {
                title: qsTr("Print") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/dock/print.png"
            	enabled: ListItemData.printable
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_PRINT", filesContainer.ListItem.indexPath);
                }
				shortcuts: [
					Shortcut {
						key: "p"
					}
				]
            }

            ActionItem {
                title: qsTr("Hide / Show") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/dock/hide.png"
            	enabled: ListItemData.hideable
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_HIDDEN", filesContainer.ListItem.indexPath);
                }
				shortcuts: [
					Shortcut {
						key: "h"
					}
				]
            }

//            ActionItem {
//				enabled: false
//                title: qsTr("Zip") + Retranslate.onLanguageChanged
//                imageSource: "asset:///images/dock/zip.png"
//                onTriggered: {
//                    filesContainer.ListItem.view.runAction("ACTION_ZIP", filesContainer.ListItem.indexPath);
//                }
//            }

//            ActionItem {
//				enabled: false
//                title: qsTr("Crypt") + Retranslate.onLanguageChanged
//                imageSource: "asset:///images/dock/crypt.png"
//                onTriggered: {
//                    filesContainer.ListItem.view.runAction("ACTION_CRYPT", filesContainer.ListItem.indexPath);
//                }
//            }

            ActionItem {
                title: qsTr("Share") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/dock/share.png"
				enabled: ListItemData.shareable
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_SHARE", filesContainer.ListItem.indexPath);
                }
				shortcuts: [
					Shortcut {
						key: "s"
					}
				]
            }

            ActionItem {
                title: qsTr("Add bookmark") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/dock/addbookmarks.png"
            	enabled: ListItemData.isfolder
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_BOOKMARKS", filesContainer.ListItem.indexPath);
                }
				shortcuts: [
					Shortcut {
						key: "f"
					}
				]
            }

            ActionItem {
                title: qsTr("Details") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/dock/info.png"
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_INFO", filesContainer.ListItem.indexPath);
                }
				shortcuts: [
					Shortcut {
						key: "i"
					}
				]
            }

			MultiSelectActionItem {
				multiSelectHandler: filesContainer.ListItem.view.multiSelectHandler
				onTriggered: {
					multiSelectHandler.active;    
				} 
			}

			ActionItem {
				title: qsTr("Select all") + Retranslate.onLanguageChanged
				imageSource: "asset:///images/dock/selectall.png"
				onTriggered: {
	               filesContainer.ListItem.view.runAction("ACTION_SELECTALL", filesContainer.ListItem.indexPath); 
				}
			}

            DeleteActionItem {
                title: qsTr("Delete") + Retranslate.onLanguageChanged
                onTriggered: {
                    filesContainer.ListItem.view.runAction("ACTION_DELETE", filesContainer.ListItem.indexPath);
                }
            }
        }
    ]

    // Both the activation and selection of an item has the same visual appearance.
    function setHighlight (highlighted) {
		console.log("set hight light");
        if (highlighted) {
            background.visible = true;
        } else {
            background.visible = false;
        }
    }

    // Signal handler for list item activation.    
    ListItem.onActivationChanged: {
		console.log("active changed");
        setHighlight (ListItem.active);
    }
    
    // Signal handler for list item selection.
    ListItem.onSelectionChanged: {
		console.log("select changed");
        setHighlight (ListItem.selected);
    }
}
