import bb.cascades 1.3
import bb.system 1.0

Dialog {
    id: passDialog
    
    Container {
		horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

        background: Color.create(0.0, 0.0, 0.0, 0.5)

        layout: DockLayout {
        }
        
        Container {
            topPadding: 50
		
			maxWidth: 750

			horizontalAlignment: HorizontalAlignment.Center

            layout: DockLayout {
            }

            ImageView {
                leftMargin: 2.0
                rightMargin: 2.0
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill

                scalingMethod: ScalingMethod.Fill

                // image for showing the dialog box
                imageSource: "asset:///images/systemdialog.amd"
            }
            
            // for body of the dialog
            Container {
                topPadding: 5
                leftPadding: 23
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                Container {
                    Label {
                        text: qsTr("Password protection") + Retranslate.onLanguageChanged
                        textStyle.base: SystemDefaults.TextStyles.TitleText
                        textStyle {
                            color: Color.White
                        }
                    }
                }
            }
               
            Container {
                topPadding: 100
                leftPadding: 25
                rightPadding: 25
                
                Label {
                    text: qsTr("Please choose a password") + Retranslate.onLanguageChanged
                    multiline: true
                    textStyle.base: SystemDefaults.TextStyles.BodyText
                    textStyle {
                        color: Color.Black
                    }
                }
                
                Container {
                    topPadding: 20
                    
                    TextField {
                        id: pass
                        
						text: ""
                        hintText: qsTr("Password") + Retranslate.onLanguageChanged
                        inputMode: TextFieldInputMode.Password
                        
//                        validator: Validator {
//                            id: passValidator
//                            
//                            mode: ValidationMode.Immediate
//                            errorMessage: "Enter at least 4 characters"
//                            
//                            onValidate: {
//                                if (pass.text.length >= 4){
//                                    state = ValidationState.Valid;
//                                }
//                                else {
//                                    state = ValidationState.Invalid;
//                                }
//                            }
//                        }
                    }
                }
                
                Container {
                    topPadding: 20
                    
                    TextField {
                        id: confirmPass
                        
						text: ""
                        hintText: qsTr("Confirm Password") + Retranslate.onLanguageChanged
                        inputMode: TextFieldInputMode.Password
                        
                        validator: Validator {
                            id: confirmPassValidator
                            
                            mode: ValidationMode.Immediate
                            errorMessage: qsTr("Password doesn't match!") + Retranslate.onLanguageChanged
                            
                            onValidate: {
                                if (confirmPass.text == pass.text) {
                                    state = ValidationState.Valid;
                                }
                                else {
                                    state = ValidationState.Invalid;
                                }
                            }
                        }
                    }
                }
                
                Container {
                    topPadding: 35
                    bottomPadding: 25
                    
                    horizontalAlignment: HorizontalAlignment.Fill

                    layout: DockLayout {
                    }

                    Container {
                        leftPadding: 0
                        horizontalAlignment: HorizontalAlignment.Left

                        Button {
                            id: cancelButton

                            preferredWidth: 300
                            
                            text: qsTr("Cancel") + Retranslate.onLanguageChanged
                            
                            onClicked: {
                                passDialog.close();
                            }
                        }                        
                    }
                    
                    Container {
                        horizontalAlignment: HorizontalAlignment.Right
                    
                    	Button {
                        	id: okButton
                        
                            preferredWidth: 300

                        	text: qsTr("OK") + Retranslate.onLanguageChanged
                        	
                        	onClicked: {
//                            	if (confirmPassValidator.valid) {
                                	if (pass.text == confirmPass.text) {
                                    	// DO some magic and then subsequently close the dialogBox
                                    	// call the methods which needs to be invoked when OK button is clicked
										playcloud.setPassword(pass.text);
                                    	passDialog.close();
                                    }
                                    else {
                                    	console.log("Password and Confirm Password doesn't match.");
                                     	// reopen the dialog box
                                     	passDialog.open();
                                    }                                     
//                                }
//                                else {
//                                	console.log(confirmPassValidator.errorMessage);
//                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
