import bb.cascades 1.3
import "Items"
import "Components"

TabbedPane {
    id: root
    showTabsOnActionBar: false

	property bool invokeNewApp: false

	Menu.definition: MenuDefinition {
		id: menu
		objectName: "menu"

		signal appMenuButtonClicked(string buttname)

		actions: [
			ActionItem {
                title: qsTr("Mode") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/menu/list.png"

				onTriggered: {
					menu.appMenuButtonClicked("ICON_MODE");
				}
			},
			ActionItem {
                title: qsTr("Filter") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/menu/filter.png"

				onTriggered: {
					menu.appMenuButtonClicked("ICON_FILTER");
				}
			},
			ActionItem {
                title: qsTr("Order") + Retranslate.onLanguageChanged
                imageSource: "asset:///images/menu/order.png"

				onTriggered: {
					menu.appMenuButtonClicked("ICON_ORDER");
				}
			}
		]

		settingsAction: SettingsActionItem {
            title: qsTr("Settings") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/menu/settings.png"

			onTriggered: {
				menu.appMenuButtonClicked("ICON_SETTINGS");
			}
		}

		helpAction: HelpActionItem {
            title: qsTr("Help") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/menu/help.png"

			onTriggered: {
				menu.appMenuButtonClicked("ICON_HELP");
			}
		}
	}
}
