import bb.cascades 1.3

Page {
	property alias copies: printCopies.text
	property alias orientation: printOrientation.checked
	property alias numberup: pagesSide.selectedValue

	property alias printersfound: printersLabel.text

    titleBar: TitleBar {
        title: qsTr("Print") + Retranslate.onLanguageChanged
    }
	
	ScrollView {
		scrollViewProperties.scrollMode: ScrollMode.Vertical
		scrollViewProperties.pinchToZoomEnabled: false

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill
		
		content: Container {
			id: printMainContainer
			
			leftPadding: 15.0
			rightPadding: 15.0
			topPadding: 15.0
			bottomPadding: 15.0

			horizontalAlignment: HorizontalAlignment.Fill
			verticalAlignment: VerticalAlignment.Fill

			Container {
				preferredWidth: 1440
	
				horizontalAlignment: HorizontalAlignment.Fill

				layout: StackLayout {
					orientation: LayoutOrientation.LeftToRight
				}
				
				layoutProperties: StackLayoutProperties {
				}
	
				ImageView {
					preferredWidth: 120.0
					preferredHeight: 120.0
					minWidth: 120.0
					minHeight: 120.0
					
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Center
		
					// The image is bound to the data in models/recipemodel.xml image attribute.
					imageSource: itemobject.icon
					scalingMethod: ScalingMethod.AspectFit
					
					layoutProperties: StackLayoutProperties {
					}
					
					leftMargin: 10.0
					rightMargin: 10.0
				}
		
				Label {
					text: itemobject.name
					
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Center

					textStyle {
						base: SystemDefaults.TextStyles.BodyText
						fontWeight: FontWeight.Bold
					}
				}
			}

			Container {
			    topPadding: 40.0
			    
                horizontalAlignment: HorizontalAlignment.Fill

				Label {
					text: qsTr("Select your printer") + Retranslate.onLanguageChanged

	                translationX: 10.0

                    textStyle {
                        base: SystemDefaults.TextStyles.BodyText
						fontWeight: FontWeight.Bold
                        color: Color.create("#ff038ebc")
                    }
                }
				
				ImageView {
                    imageSource: "asset:///images/divider.png"
                    horizontalAlignment: HorizontalAlignment.Fill
                        
                    translationY: -10.0
                }

				DropDown {
					id: printersDropDown
					objectName: "printersDropDown"

					title: qsTr("Printer") + Retranslate.onLanguageChanged
					
					horizontalAlignment: HorizontalAlignment.Center

					onSelectedIndexChanged : {
						printActionItem.enabled = true;
					}
				}

				Label {
					id: printersLabel
					text: qsTr("None printer found")

                    textStyle {
                        base: SystemDefaults.TextStyles.BodyText
						fontStyle: FontStyle.Italic
                    }
                }
			}

			Container {
				id: printerInfo
				objectName: "printerInfo"

			    topPadding: 40.0

				horizontalAlignment: HorizontalAlignment.Fill

				layout: StackLayout {
				}
				
				layoutProperties: StackLayoutProperties {
				}

				Label {
					text: qsTr("Printer info") + Retranslate.onLanguageChanged

	                translationX: 10.0

					horizontalAlignment: HorizontalAlignment.Left

					layoutProperties: StackLayoutProperties {
					}

                    textStyle {
						base: SystemDefaults.TextStyles.BodyText
						fontWeight: FontWeight.Bold
                        color: Color.create("#ff038ebc")
                    }
				}

				ImageView {
                    imageSource: "asset:///images/divider.png"
                    horizontalAlignment: HorizontalAlignment.Fill

                    translationY: -10.0
                }

				Container {
					id: printerInfoNone
					objectName: "printerInfoNone"
					visible: true

					horizontalAlignment: HorizontalAlignment.Fill

					layout: StackLayout {
					}
					
					layoutProperties: StackLayoutProperties {
					}

					Label {
						text: qsTr("No printer selected") + Retranslate.onLanguageChanged

						horizontalAlignment: HorizontalAlignment.Left

						layoutProperties: StackLayoutProperties {
						}

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}
					}
				}

				Container {
					id: printerInfoError
					objectName: "printerInfoError"
					visible: false

					horizontalAlignment: HorizontalAlignment.Fill

					layout: StackLayout {
					}
					
					layoutProperties: StackLayoutProperties {
					}

					Label {
						text: qsTr("Printer connection failure !") + Retranslate.onLanguageChanged

						horizontalAlignment: HorizontalAlignment.Left

						layoutProperties: StackLayoutProperties {
						}

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
							fontWeight: FontWeight.Bold
						}
					}
				}

				Container {
					id: printerInfoGoogle
					objectName: "printerInfoGoogle"
					visible: false

					horizontalAlignment: HorizontalAlignment.Fill

					layout: StackLayout {
					}
					
					layoutProperties: StackLayoutProperties {
					}

					Label {
						text: qsTr("Google Printer") + Retranslate.onLanguageChanged

						horizontalAlignment: HorizontalAlignment.Left

						layoutProperties: StackLayoutProperties {
						}

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
							fontWeight: FontWeight.Bold
						}
					}
				}

				Container {
					id: printerInfoDetails
					objectName: "printerInfoDetails"
					visible: false

					horizontalAlignment: HorizontalAlignment.Fill

					layout: StackLayout {
					}
					
					layoutProperties: StackLayoutProperties {
					}

					Container {
						horizontalAlignment: HorizontalAlignment.Fill

						layout: DockLayout {
						}
					
						Label {
							text: qsTr("State:") + Retranslate.onLanguageChanged

							horizontalAlignment: HorizontalAlignment.Left
							verticalAlignment: VerticalAlignment.Center

							textStyle {
								base: SystemDefaults.TextStyles.BodyText
							}
						}
		
						Label {
							id: printerStateLabel
							objectName: "printerStateLabel"
							text: "-"

							horizontalAlignment: HorizontalAlignment.Right
							verticalAlignment: VerticalAlignment.Center

							textStyle {
								base: SystemDefaults.TextStyles.BodyText
								fontStyle: FontStyle.Italic
							}
						}
					}

					Container {
						horizontalAlignment: HorizontalAlignment.Fill

						layout: DockLayout {
						}
					
						Label {
							text: qsTr("Accept job:") + Retranslate.onLanguageChanged

							horizontalAlignment: HorizontalAlignment.Left
							verticalAlignment: VerticalAlignment.Center

							textStyle {
								base: SystemDefaults.TextStyles.BodyText
							}
						}
		
						Label {
							id: acceptJobLabel
							objectName: "acceptJobLabel"
							text: "-"

							horizontalAlignment: HorizontalAlignment.Right
							verticalAlignment: VerticalAlignment.Center

							textStyle {
								base: SystemDefaults.TextStyles.BodyText
								fontStyle: FontStyle.Italic
							}
						}
					}

					Container {
						id: acceptMime
						objectName: "acceptMime"
						visible: false

						horizontalAlignment: HorizontalAlignment.Fill

						layout: DockLayout {
						}
					
						Label {
							text: qsTr("Mime-type:") + Retranslate.onLanguageChanged

							horizontalAlignment: HorizontalAlignment.Left
							verticalAlignment: VerticalAlignment.Center

							textStyle {
								base: SystemDefaults.TextStyles.BodyText
							}
						}
		
						Label {
							id: acceptMimeLabel
							objectName: "acceptMimeLabel"
							text: "-"

							horizontalAlignment: HorizontalAlignment.Right
							verticalAlignment: VerticalAlignment.Center

							textStyle {
								base: SystemDefaults.TextStyles.BodyText
								fontStyle: FontStyle.Italic
							}
						}
					}

					Container {
						id: acceptFormat
						objectName: "acceptFormat"
						visible: false

						horizontalAlignment: HorizontalAlignment.Fill

						layout: StackLayout {
						}
					
						layoutProperties: StackLayoutProperties {
						}
		        
						TextArea {
							text: qsTr("Warning, it seems that your printer doesn't accept the document format. Try to convert it with a format supported by your printer:") + Retranslate.onLanguageChanged
							editable: false

							horizontalAlignment: HorizontalAlignment.Left

							textStyle {
								base: SystemDefaults.TextStyles.BodyText
                        		color: Color.create("#ffff0000")
							}
						}
		
						TextArea {
							id: acceptFormatLabel
							objectName: "acceptFormatLabel"
							editable: false
							text: "-"

							horizontalAlignment: HorizontalAlignment.Left

							textStyle {
								base: SystemDefaults.TextStyles.BodyText
								fontStyle: FontStyle.Italic
							}
						}
					}
				}
			}				
			
			Container {
				id: printerSettings
				objectName: "printerSettings"

				visible: false
			    topPadding: 40.0

                horizontalAlignment: HorizontalAlignment.Fill

				Label {
					text: qsTr("Print settings") + Retranslate.onLanguageChanged

	                translationX: 10.0

                    textStyle {
                        base: SystemDefaults.TextStyles.BodyText
						fontWeight: FontWeight.Bold
                        color: Color.create("#ff038ebc")
                    }
                }

				ImageView {
                    imageSource: "asset:///images/divider.png"
                    horizontalAlignment: HorizontalAlignment.Fill

                    translationY: -10.0
                }

				Container {
				    horizontalAlignment: HorizontalAlignment.Fill

					layout: DockLayout {
					}
					
					Label {
						verticalAlignment: VerticalAlignment.Center
						horizontalAlignment: HorizontalAlignment.Left

						text: qsTr("Copies:") + Retranslate.onLanguageChanged
					}

					TextField {
						id: printCopies

						text: "1"
						hintText: "Number"
						
						verticalAlignment: VerticalAlignment.Center
						horizontalAlignment: HorizontalAlignment.Right
                        preferredWidth: 320.0
                        minWidth: 320.0
                        maxWidth: 320.0

						inputMode: TextFieldInputMode.NumbersAndPunctuation
	                    clearButtonVisible: false
						input.submitKey: SubmitKey.None
                        
                        textStyle {
		                    base: SystemDefaults.TextStyles.BodyText
		                    textAlign: TextAlign.Right
		                }
					}
				}
				
				Container {
				    horizontalAlignment: HorizontalAlignment.Fill

					layout: DockLayout {
					}
					
					Label {
						verticalAlignment: VerticalAlignment.Center
						horizontalAlignment: HorizontalAlignment.Left

						text: qsTr("Orientation:") + Retranslate.onLanguageChanged
					}
					
					ImageToggleButton {
						id: printOrientation

						verticalAlignment: VerticalAlignment.Center
						horizontalAlignment: HorizontalAlignment.Right

				        rightPadding: 30.0

						imageSourceDefault: "asset:///images/misc/tgb-enabled-portrait.png"
						imageSourceChecked: "asset:///images/misc/tgb-enabled-landscape.png"
						
                        imageSourceDisabledUnchecked: "asset:///images/misc/tgb-disabled-portrait.png"
                        imageSourceDisabledChecked: "asset:///images/misc/tgb-disabled-landscape.png"
                        
                        imageSourcePressedUnchecked: "asset:///images/misc/tgb-pressed-portrait.png"
                        imageSourcePressedChecked: "asset:///images/misc/tgb-pressed-landscape.png"
                    }
				}

				Container {
				    horizontalAlignment: HorizontalAlignment.Fill

					layout: DockLayout {
					}
					
					Label {
						verticalAlignment: VerticalAlignment.Center
						horizontalAlignment: HorizontalAlignment.Left

						text: qsTr("Pages by side:") + Retranslate.onLanguageChanged
					}

					DropDown {
						id: pagesSide

						verticalAlignment: VerticalAlignment.Center
						horizontalAlignment: HorizontalAlignment.Right
                        preferredWidth: 320.0
                        minWidth: 320.0
                        maxWidth: 320.0
						
						Option {
							value: 1
							text: "1"
							selected: true
						}
						
						Option {
							value: 2
							text: "2"
						}
						
						Option {
							value: 4
							text: "4"
						}
						
						Option {
							value: 6
							text: "6"
						}
						
						Option {
							value: 9
							text: "9"
						}
						
						Option {
							value: 16
							text: "16"
						}
					}
				}
				
			}
		}
	}

    actions: [
        ActionItem { 
			id: printActionItem
			objectName: "printActionItem"

            title: qsTr("Print") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/dock/print.png"

			enabled: false
            
//            ActionBar.placement: ActionBarPlacement.OnBar
            ActionBar.placement: ActionBarPlacement.Signature
            
            onTriggered: {
            }
        }
    ]
}

