import bb.cascades 1.3

import com.playcloud.settings 1.0

Page {
    id: boxRegisterPage
    property alias url: boxWebview.url
    
	content: Container {
		layout: DockLayout {
		}

        ScrollView {
			id: webviewContainer

            scrollViewProperties {
				scrollMode: ScrollMode.Vertical
			}

			WebView {
				id: boxWebview
				objectName: "boxWebview"
	
				preferredHeight: 1280.0
			
				verticalAlignment: VerticalAlignment.Fill
				horizontalAlignment: HorizontalAlignment.Fill

                settings.defaultFontSize: 16
                settings.minimumFontSize: 16
                settings.userAgent: ""
                settings.zoomToFitEnabled: true
                settings.background: Color.White

				onLoadProgressChanged: {
					progressWebIndicator.value = loadProgress / 100.0
				}

				
				onNavigationHistoryChanged: {
				}

				onUrlChanged: {
					noticeWebRequest(url);
				}
			
                
                onNavigationRequested: {
                    console.log("NavigationRequested:");
                    console.log("  URL: " + request.url);
                    console.log("  navigationType: " + request.navigationType);
                }
                
                
                onLoadingChanged: {
                    if (loadRequest.status == WebLoadStatus.Started) {
                        console.log("WebLoadStatus.Started");
                        progressWebIndicator.opacity = 1.0
                    }
                    else if (loadRequest.status == WebLoadStatus.Succeeded) {
                        console.log(WebLoadStatus.Succeeded);
                        progressWebIndicator.opacity = 0.0
                    }
                    else if (loadRequest.status == WebLoadStatus.Failed) {
                        console.log(WebLoadStatus.Failed);
                        progressWebIndicator.opacity = 0.0
                    }
                }
            }
		}

		Container {
			bottomPadding: 25

			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Bottom

			ProgressIndicator {
				id: progressWebIndicator
				opacity: 0
			}
		}

		Container {
			id: resultContainer
			visible: false

			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Center

			Label {
				text: qsTr("Now, connect PlayCloud") + Retranslate.onLanguageChanged

				textStyle {
					base: SystemDefaults.TextStyles.BodyText
				}
			}
		}
	}

	function noticeWebRequest(url) {
		var result = playcloud.updateBoxRegistration(url);

		if (result == true) {
			resultContainer.visible = true;
			boxWebview.url = "local:///assets/html/blank.html";
		}
	}
}

