import bb.cascades 1.3
import "../Items"


Sheet {
    id: sheetNewAccount

    property variant model
	property string account

    content: Page {
        titleBar: TitleBar {
            title: qsTr("New account") + Retranslate.onLanguageChanged

            dismissAction: ActionItem {
                title: qsTr("Cancel")
                
                onTriggered: {
                    sheetNewAccount.close();
                }
            }

            acceptAction: ActionItem {
				id: acceptActionItem
                title: qsTr("Create")
				enabled: false
                
                onTriggered: {
					model.addAccountItem(sheetNewAccount.account);

                    sheetNewAccount.close();
                }
            }
        }

        content: Container {
			leftPadding: 15.0
			rightPadding: 15.0
			topPadding: 15.0
			bottomPadding: 15.0

            layout: StackLayout {
            }

			ListView {
				id: accountsList
				
				dataModel: XmlDataModel {
					source: "../models/accounts.xml"
				}

				listItemComponents: [
					ListItemComponent {
						type: "account"

						SettingsItem {
						}
					}
				]

				onTriggered: {
					clearSelection();
					select(indexPath);

					acceptActionItem.enabled = true;

					var chosenItem = dataModel.data(indexPath);

					sheetNewAccount.account = chosenItem.type;
				}
			}
		}
    }

	function init() {
		console.log("New account init");
	}
}

