import bb.cascades 1.3

import com.playcloud.settings 1.0

Page {
    id: onedriveRegisterPage
    property alias url: onedriveWebview.url
    
	content: Container {
		layout: DockLayout {
		}

		ScrollView {
			id: webviewContainer

			scrollViewProperties {
				scrollMode: ScrollMode.Vertical
			}

			WebView {
				id: onedriveWebview
				objectName: "onedriveWebview"
			
				verticalAlignment: VerticalAlignment.Fill
				horizontalAlignment: HorizontalAlignment.Fill

                settings.defaultFontSize: 16
                settings.minimumFontSize: 16
                settings.userAgent: ""
                settings.zoomToFitEnabled: true
                settings.background: Color.White

				onLoadProgressChanged: {
					progressWebIndicator.value = loadProgress / 100.0
				}
			
                onLoadingChanged: {
                    if (loadRequest.status == WebLoadStatus.Started)
                         progressWebIndicator.opacity = 1.0
                    else if (loadRequest.status == WebLoadStatus.Succeeded)
                        progressWebIndicator.opacity = 0.0
                    else if (loadRequest.status == WebLoadStatus.Failed)
                        progressWebIndicator.opacity = 0.0

					noticeWebRequest(loadRequest)
                }
			}
		}

		Container {
			bottomPadding: 25

			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Bottom

			ProgressIndicator {
				id: progressWebIndicator
				opacity: 0
			}
		}

		Container {
			id: resultContainer
			visible: false

			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Center

			Label {
				text: qsTr("Now, connect PlayCloud") + Retranslate.onLanguageChanged

				textStyle {
					base: SystemDefaults.TextStyles.BodyText
				}
			}
		}
	}

	function noticeWebRequest(loadRequest) {
		var result = playcloud.updateOneDriveRegistration(loadRequest);

		if (result == true) {
			resultContainer.visible = true;
		}
	}
}

