import bb.cascades 1.3

import com.playcloud.settings 1.0

Page {
    id: settingsPage

    property variant index
    property variant json
    property variant model

    ScrollView {
        scrollViewProperties.scrollMode: ScrollMode.Vertical

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

	    content: Container {
			leftPadding: 15.0
			rightPadding: 15.0
			topPadding: 15.0
			bottomPadding: 15.0

			horizontalAlignment: HorizontalAlignment.Center

	        layout: StackLayout {
	        }
	        
	        layoutProperties: StackLayoutProperties {
	        }
	        
	        Container {
	            bottomMargin: 20.0
	
				horizontalAlignment: HorizontalAlignment.Fill

                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
	            
	            layoutProperties: StackLayoutProperties {
	            }
	
	            ImageView {
			        imageSource: "asset:///images/settings/usbheader.png" 
			   
	                scalingMethod: ScalingMethod.None
	                leftMargin: 20.0
	                topMargin: 10.0
	                rightMargin: 0.0
	                bottomMargin: 10.0
	            }
		
		        Label {
		            text: "USB Storage"
		            
	                rightMargin: 20.0

					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1.0
                    }

	                textStyle {
	                    base: SystemDefaults.TextStyles.BigText
	                    fontWeight: FontWeight.Bold
                        textAlign: TextAlign.Center
	                }
		        }
		    }
	
	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

	            layout: DockLayout {
	            }
	            
	            layoutProperties: StackLayoutProperties {
	            }
	            
	            Label {
	                text: qsTr("Enable") + Retranslate.onLanguageChanged

					verticalAlignment: VerticalAlignment.Center

                    textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
	            }
		
		        ToggleButton {
		            id: toggleButton
		            
                    checked: settingsPage.json.ui.enable

					horizontalAlignment: HorizontalAlignment.Right
					verticalAlignment: VerticalAlignment.Center

                    onCheckedChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "enable", checked);
                    }
                }
		    }
	
		    Divider {
		    }

	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Title") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        TextField {
		            id: title
		            text: settingsPage.json.title
                    hintText: qsTr("Enter the title of view") + Retranslate.onLanguageChanged
                    inputMode: TextFieldInputMode.Url
                    
                    horizontalAlignment: HorizontalAlignment.Fill

                    layoutProperties: StackLayoutProperties {
                    }
                    
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }

                    onTextChanged: {
                        model.editSettingsItem(settingsPage.index, "title", text);
                    }
                }
			}
	
		    Divider {
		    }
	
	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Display mode") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        DropDown {
		            id: dropdownMode
	                title: qsTr("Mode by default") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ui.display

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

                    Option {
	                    value: 1
	                    text: qsTr("Categories") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Icons") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("List") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "display", selectedIndex);
                    }
		        }
		    }
		    
		    Divider {
		    }
	
	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Order settings") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        DropDown {
		            id: dropdownOrder
	                title: qsTr("Order by default") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ui.order

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("Name") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Date") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("Size") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 4
	                    text: qsTr("Type") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "order", selectedIndex);
                    }
		        }
		    }
		    
		    Divider {
		    }
	
	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Open mode") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        DropDown {
		            id: dropdownDirectory
	                title: qsTr("Open a directory") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ui.opendirectory

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("Open at first tap") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Open at second tap") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("Don't open") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "opendirectory", selectedIndex);
                    }
		        }
	
		        DropDown {
		            id: dropdownFile
	                title: qsTr("Open a file") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ui.openfile

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("Open at first tap") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Open at second tap") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("Don't open") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "openfile", selectedIndex);
                    }
		        }

   				Container {
   					horizontalAlignment: HorizontalAlignment.Fill
   					
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    CheckBox {
                    	checked: settingsPage.json.ui.openwithdefault
	                    
						verticalAlignment: VerticalAlignment.Center
	                    
	                    onCheckedChanged: {
	                        model.editAccountUISettingsItem(settingsPage.index, "openwithdefault", checked);
	                    }
	                }

   					Label {
	                    text: qsTr("Open with the default application") + Retranslate.onLanguageChanged

   						verticalAlignment: VerticalAlignment.Center
                        leftPadding: 20.0
                        
                        textStyle {
   							base: SystemDefaults.TextStyles.BodyText
   						}
   					}
			    }
		    }

			Divider {
			}

	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Load thumbnails") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        DropDown {
		            id: dropdownThumb
                    selectedIndex: settingsPage.json.ui.thumbnail

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("Always") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Never") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("On file selection") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "thumbnail", selectedIndex);
                    }
		        }
		    }

			Divider {
			}

	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

	            layout: StackLayout {
	            }
	            
				Container {
					horizontalAlignment: HorizontalAlignment.Fill

					layout: DockLayout {
					}
					
					Label {
						text: qsTr("Password protection") + Retranslate.onLanguageChanged

						verticalAlignment: VerticalAlignment.Center

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}
					}
			
					ToggleButton {
						checked: settingsPage.json.ui.locked

						horizontalAlignment: HorizontalAlignment.Right
						verticalAlignment: VerticalAlignment.Center

						onCheckedChanged: {
							model.editAccountUISettingsItem(settingsPage.index, "locked", checked);
						}
					}
				}

		        TextArea {
					editable: false
		            text: qsTr(
						"Don't forget to define a password."
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    base: SystemDefaults.TextStyles.SubtitleText
						fontStyle: FontStyle.Italic
	                }
		        }
			}
	    }
    }

	onCreationCompleted: {
		OrientationSupport.supportedDisplayOrientation = 
			SupportedDisplayOrientation.All;
	}
     
    actions: [
//        ActionItem { 
//            title: "Back"
//            ActionBar.placement: ActionBarPlacement.OnBar
//           
//            // When this action is selected, pop the current Page off
//            // of the stack and delete it
//            onTriggered: {
//                navigationPane.popAndDelete()
//            }
//        }
    ] // end of actions list


	function init() {
	}
} // end of Page
