import bb.cascades 1.3

import com.playcloud.settings 1.0

Page {
    id: settingsPage

    property variant index
    property variant json
    property variant model

	property int maximagesize: 100

    ScrollView {
        scrollViewProperties.scrollMode: ScrollMode.Vertical

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

	    content: Container {
			leftPadding: 15.0
			rightPadding: 15.0
			topPadding: 15.0
			bottomPadding: 15.0

			horizontalAlignment: HorizontalAlignment.Center

	        layout: StackLayout {
	        }
	        
	        layoutProperties: StackLayoutProperties {
	        }
	        
	        Container {
	            bottomMargin: 20.0
	
				horizontalAlignment: HorizontalAlignment.Fill

                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
	            
	            layoutProperties: StackLayoutProperties {
	            }
	
	            ImageView {
			        imageSource: "asset:///images/settings/webdavheader.png" 
			   
	                scalingMethod: ScalingMethod.None
	                leftMargin: 20.0
	                topMargin: 10.0
	                rightMargin: 0.0
	                bottomMargin: 10.0
	            }
		
		        Label {
		            text: "WebDAV"
		            
	                rightMargin: 20.0

					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1.0
                    }

	                textStyle {
	                    base: SystemDefaults.TextStyles.BigText
	                    fontWeight: FontWeight.Bold
                        textAlign: TextAlign.Center
	                }
		        }
		    }
	
	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

	            layout: DockLayout {
	            }
	            
	            layoutProperties: StackLayoutProperties {
	            }
	            
	            Label {
	                text: qsTr("Enable") + Retranslate.onLanguageChanged

					verticalAlignment: VerticalAlignment.Center

                    textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
	            }
		
		        ToggleButton {
		            id: toggleButton
		            
                    checked: settingsPage.json.ui.enable

					horizontalAlignment: HorizontalAlignment.Right
					verticalAlignment: VerticalAlignment.Center

                    onCheckedChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "enable", checked);
                    }
                }
		    }
	
		    Divider {
		    }

	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        TextField {
		            id: host
		            text: settingsPage.json.account.host
                    hintText: qsTr("Host") + Retranslate.onLanguageChanged
                    inputMode: TextFieldInputMode.Url
                    
                    horizontalAlignment: HorizontalAlignment.Fill

                    layoutProperties: StackLayoutProperties {
                    }
                    
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }

                    onTextChanged: {
                        model.editAccountSettingsItem(settingsPage.index, "host", text);
                    }
                }

		        TextField {
		            id: username
		            text: settingsPage.json.account.username
                    hintText: qsTr("Username") + Retranslate.onLanguageChanged
                    inputMode: TextFieldInputMode.Url
                    
                    horizontalAlignment: HorizontalAlignment.Fill

                    layoutProperties: StackLayoutProperties {
                    }
                    
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }

                    onTextChanged: {
                        model.editAccountSettingsItem(settingsPage.index, "username", text);
                    }
                }

		        TextField {
		            id: password
		            text: settingsPage.json.account.password
                    hintText: qsTr("Password") + Retranslate.onLanguageChanged
                    inputMode: TextFieldInputMode.Password
                    
					horizontalAlignment: HorizontalAlignment.Fill

                    layoutProperties: StackLayoutProperties {
                    }
                    
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }

                    onTextChanged: {
                        model.editAccountSettingsItem(settingsPage.index, "password", text);
                    }
                }
	
		        DropDown {
		            id: authtype
	                title: qsTr("Authentification mode") + Retranslate.onLanguageChanged
                    selectedIndex: (settingsPage.json.account.authtype - 1)

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

                    Option {
	                    value: 1
	                    text: qsTr("Basic") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Digest") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("GSS Negotiate") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 4
	                    text: qsTr("NTLM") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 5
	                    text: qsTr("Any") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountSettingsItem(settingsPage.index, "authtype", (selectedIndex + 1));
                    }
		        }
			}	
	
		    Divider {
		    }

	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Title") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        TextField {
		            id: title
		            text: settingsPage.json.title
                    hintText: qsTr("Enter the title of view") + Retranslate.onLanguageChanged
                    inputMode: TextFieldInputMode.Url
                    
                    horizontalAlignment: HorizontalAlignment.Fill

                    layoutProperties: StackLayoutProperties {
                    }
                    
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }

                    onTextChanged: {
                        model.editSettingsItem(settingsPage.index, "title", text);
                    }
                }
			}
	
		    Divider {
		    }
	
	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Display mode") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        DropDown {
		            id: dropdownMode
	                title: qsTr("Mode by default") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ui.display

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

                    Option {
	                    value: 1
	                    text: qsTr("Categories") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Icons") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("List") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "display", selectedIndex);
                    }
		        }
		    }
		    
		    Divider {
		    }
	
	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Order settings") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        DropDown {
		            id: dropdownOrder
	                title: qsTr("Order by default") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ui.order

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("Name") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Date") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("Size") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 4
	                    text: qsTr("Type") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "order", selectedIndex);
                    }
		        }
		    }
		    
		    Divider {
		    }
	
	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Open mode") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        DropDown {
		            id: dropdownDirectory
	                title: qsTr("Open a directory") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ui.opendirectory

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("Open at first tap") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Open at second tap") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("Don't open") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "opendirectory", selectedIndex);
                    }
		        }
	
		        DropDown {
		            id: dropdownFile
	                title: qsTr("Open a file") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ui.openfile

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("Open at first tap") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Open at second tap") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("Don't open") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "openfile", selectedIndex);
                    }
		        }

   				Container {
   					horizontalAlignment: HorizontalAlignment.Fill
   					
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    CheckBox {
                    	checked: settingsPage.json.ui.openwithdefault
	                    
						verticalAlignment: VerticalAlignment.Center
	                    
	                    onCheckedChanged: {
	                        model.editAccountUISettingsItem(settingsPage.index, "openwithdefault", checked);
	                    }
	                }

   					Label {
	                    text: qsTr("Open with the default application") + Retranslate.onLanguageChanged

   						verticalAlignment: VerticalAlignment.Center
                        leftPadding: 20.0
                        
                        textStyle {
   							base: SystemDefaults.TextStyles.BodyText
   						}
   					}
			    }
		    }

		    Divider {
		    }

	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

		        layout: StackLayout {
		        }
		        
		        layoutProperties: StackLayoutProperties {
		        }
		
		        Label {
		            text: qsTr("Load thumbnails") + Retranslate.onLanguageChanged
	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
		        DropDown {
		            id: dropdownThumb
                    selectedIndex: settingsPage.json.ui.thumbnail

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("Always") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("Never") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("On file selection") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 4
	                    text: qsTr("Only on WiFi network") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "thumbnail", selectedIndex);
                    }
		        }

		        TextArea {
					editable: false
		            text: qsTr(
						"Warning, to generate a thumbnail, PlayCloud has to download the whole file. " +
						"So you can get high mobile data usage and get a high bill."
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    base: SystemDefaults.TextStyles.BodyText
	                }
		        }
	
				Container {
					horizontalAlignment: HorizontalAlignment.Fill

					preferredWidth: 1440

					layout: DockLayout {
					}

					Label {
						text: qsTr("Image size max (in KB)") + Retranslate.onLanguageChanged
						
						horizontalAlignment: HorizontalAlignment.Left
						verticalAlignment: VerticalAlignment.Center
						
						textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}
					}
					
					Label {
						id: imageSizeLabel
						
						horizontalAlignment: HorizontalAlignment.Right
						verticalAlignment: VerticalAlignment.Center
						
						textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}
					}
				}

				Slider {
					id: imageSizeSlider
					fromValue: 100
					toValue: 10000
					value: settingsPage.maximagesize

					horizontalAlignment: HorizontalAlignment.Fill
					
					onImmediateValueChanged: {
						settingsPage.maximagesize = immediateValue;
						updateMaxImageSizeInfo();
					}
					
					onValueChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "maximagesize", value * 1024);
						updateMaxImageSizeInfo();
					}
				}
		    }
		    
		    Divider {
		    }

	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

	            layout: StackLayout {
	            }
	            
				Container {
					horizontalAlignment: HorizontalAlignment.Fill

					layout: DockLayout {
					}
					
					Label {
						text: qsTr("Password protection") + Retranslate.onLanguageChanged

						verticalAlignment: VerticalAlignment.Center

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}
					}
			
					ToggleButton {
						checked: settingsPage.json.ui.locked

						horizontalAlignment: HorizontalAlignment.Right
						verticalAlignment: VerticalAlignment.Center

						onCheckedChanged: {
							model.editAccountUISettingsItem(settingsPage.index, "locked", checked);
						}
					}
				}

		        TextArea {
					editable: false
		            text: qsTr(
						"Don't forget to define a password."
						) + Retranslate.onLanguageChanged

	                textStyle {
	                    base: SystemDefaults.TextStyles.SubtitleText
						fontStyle: FontStyle.Italic
	                }
		        }
			}

		    Divider {
		    }

	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

	            layout: StackLayout {
	            }
	            
				Container {
					horizontalAlignment: HorizontalAlignment.Fill

					layout: DockLayout {
					}
					
					Label {
						text: qsTr("Auto connect") + Retranslate.onLanguageChanged

						verticalAlignment: VerticalAlignment.Center

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}
					}
			
					ToggleButton {
						checked: settingsPage.json.ui.autoconnect

						horizontalAlignment: HorizontalAlignment.Right
						verticalAlignment: VerticalAlignment.Center

						onCheckedChanged: {
							model.editAccountUISettingsItem(settingsPage.index, "autoconnect", checked);
						}
					}
				}

		        DropDown {
		            id: networkDropdown
	                title: qsTr("Use on network") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ui.network

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("WiFi & Cellular") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("WiFi") + Retranslate.onLanguageChanged
	                }
					Option {
						value: 3
						text: qsTr("Ignore") + Retranslate.onLanguageChanged
					}

                    onSelectedIndexChanged: {
                        model.editAccountUISettingsItem(settingsPage.index, "network", selectedIndex);
                    }
		        }
		        
   				Container {
   					horizontalAlignment: HorizontalAlignment.Fill
   					
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    CheckBox {
                    	checked: settingsPage.json.ui.roaming
	                    enabled: networkDropdown.selectedIndex == 0
	                    
						verticalAlignment: VerticalAlignment.Center
	                    
	                    onCheckedChanged: {
	                        model.editAccountUISettingsItem(settingsPage.index, "roaming", checked);
	                    }
	                }

   					Label {
	                    text: qsTr("Permit to use roaming if enabled") + Retranslate.onLanguageChanged

   						verticalAlignment: VerticalAlignment.Center
                        leftPadding: 20.0
                        
                        textStyle {
   							base: SystemDefaults.TextStyles.BodyText
   						}
   					}
			    }
			}	

			Divider {
			}

	        Container {
				horizontalAlignment: HorizontalAlignment.Fill

	            layout: StackLayout {
	            }
	            
		        DropDown {
		            id: sslversionDropdown
	                title: qsTr("SSL version") + Retranslate.onLanguageChanged
                    selectedIndex: settingsPage.json.ssl.version

					horizontalAlignment: HorizontalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                    }

	                Option {
	                    value: 1
	                    text: qsTr("Default SSL version") + Retranslate.onLanguageChanged
						description: qsTr("Use the BlackBerry default behavior") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 2
	                    text: qsTr("SSLv2") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 3
	                    text: qsTr("SSLv3") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 4
	                    text: qsTr("SSLv2 / SSLv3") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 5
	                    text: qsTr("TLSv1.0") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 6
	                    text: qsTr("TLSv1.1") + Retranslate.onLanguageChanged
	                }
	                Option {
	                    value: 7
	                    text: qsTr("TLSv1.2") + Retranslate.onLanguageChanged
	                }

                    onSelectedIndexChanged: {
                        model.editAccountSSLSettingsItem(settingsPage.index, "version", selectedIndex);
                    }
		        }
		        
   				Container {
   					horizontalAlignment: HorizontalAlignment.Fill
   					
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    CheckBox {
                    	checked: settingsPage.json.ssl.checkcertificate
	                    
						verticalAlignment: VerticalAlignment.Center
	                    
	                    onCheckedChanged: {
	                        model.editAccountSSLSettingsItem(settingsPage.index, "checkcertificate", checked);
	                    }
	                }

   					Label {
	                    text: qsTr("Check SSL certificate") + Retranslate.onLanguageChanged

   						verticalAlignment: VerticalAlignment.Center
                        leftPadding: 20.0
                        
                        textStyle {
   							base: SystemDefaults.TextStyles.BodyText
   						}
   					}
			    }
			}
	    }
    }

	onCreationCompleted: {
		OrientationSupport.supportedDisplayOrientation = 
			SupportedDisplayOrientation.All;

		updateMaxImageSizeInfo();
	}
     
    function updateMaxImageSizeInfo() {
        imageSizeLabel.text = settingsPage.maximagesize.toFixed(0) + " " + qsTr("KB");
    }

    actions: [
//        ActionItem { 
//            title: "Back"
//            ActionBar.placement: ActionBarPlacement.OnBar
//           
//            // When this action is selected, pop the current Page off
//            // of the stack and delete it
//            onTriggered: {
//                navigationPane.popAndDelete()
//            }
//        }
    ] // end of actions list


	function init() {
		settingsPage.maximagesize = settingsPage.json.ui.maximagesize / 1024

		updateMaxImageSizeInfo();
	}
} // end of Page
