import bb.cascades 1.3

Page {
	objectName: "sharePage"

    titleBar: TitleBar {
        title: qsTr("Share with...") + Retranslate.onLanguageChanged
    }
	
	content: Container {
	    id: parentContainer
	    
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

        layout: StackLayout {
        }

	    ScrollView {
			id: invokeScrollContainer
	
	        scrollViewProperties.scrollMode: ScrollMode.Vertical
	        scrollViewProperties.pinchToZoomEnabled: false
	
			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Fill
			
			content: Container {
				id: invokeMainContainer
				
				horizontalAlignment: HorizontalAlignment.Fill
				verticalAlignment: VerticalAlignment.Fill
	
				Container {
					bottomMargin: 20.0
					preferredWidth: 1440
		
					leftPadding: 15.0
					rightPadding: 15.0
					topPadding: 15.0
					bottomPadding: 15.0

					horizontalAlignment: HorizontalAlignment.Fill

					layout: StackLayout {
						orientation: LayoutOrientation.LeftToRight
					}
					
					layoutProperties: StackLayoutProperties {
					}
		
					ImageView {
						preferredWidth: 120.0
						preferredHeight: 120.0
						minWidth: 120.0
						minHeight: 120.0
						
						horizontalAlignment: HorizontalAlignment.Center
						verticalAlignment: VerticalAlignment.Center
			
						// The image is bound to the data in models/recipemodel.xml image attribute.
						imageSource: itemobject.icon
						scalingMethod: ScalingMethod.AspectFit
						
						layoutProperties: StackLayoutProperties {
						}
						
						leftMargin: 10.0
						rightMargin: 10.0
					}
			
					Label {
						text: itemobject.name
						
						horizontalAlignment: HorizontalAlignment.Center
						verticalAlignment: VerticalAlignment.Center

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
							fontWeight: FontWeight.Bold
						}
					}
				}

				Container {
					TextArea {
						text: qsTr(
							"Create a public link if you want anyone with the shared link " +
							"to have access to the file or the folder."
							) + Retranslate.onLanguageChanged

						editable: false
					}
				}

	            Container {
					objectName: "invokeListButtons"
	
					topPadding: 50
					leftPadding: 50
					rightPadding: 50
	
					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Top
					
	                layout: StackLayout {
						orientation: LayoutOrientation.TopToBottom
	                }
				}

				Container {
					objectName: "invokeProgress"

					visible: false

					topPadding: 50
					leftPadding: 50
					rightPadding: 50
	
					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Center
					
	                layout: StackLayout {
						orientation: LayoutOrientation.TopToBottom
	                }

					ActivityIndicator {
						id: activityIndicator
						objectName: "activityIndicator"
						
						preferredWidth: 320.0
						preferredHeight: 320.0
			
						horizontalAlignment: HorizontalAlignment.Center
						verticalAlignment: VerticalAlignment.Center

						layoutProperties: StackLayoutProperties {
						}
	            
						onStarted: {
							cancelButton.enabled = true
						}
						
						onStopped: {
							cancelButton.enabled = false
						}
					}

					Label {
						text: qsTr("Share documents...") + Retranslate.onLanguageChanged
						
						horizontalAlignment: HorizontalAlignment.Left
						verticalAlignment: VerticalAlignment.Center
						
						textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}
					}

					Button {
						id: cancelButton
						objectName: "cancelButton"

						text: qsTr("Cancel") + Retranslate.onLanguageChanged

						horizontalAlignment: HorizontalAlignment.Center

						layoutProperties: StackLayoutProperties {
						}
					}
				}

				Container {
					objectName: "invokeError"

					visible: false

					topPadding: 50
					leftPadding: 50
					rightPadding: 50
	
					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Center
					
	                layout: StackLayout {
						orientation: LayoutOrientation.TopToBottom
	                }

					Label {
						text: qsTr("Connection failure !") + Retranslate.onLanguageChanged
						
						horizontalAlignment: HorizontalAlignment.Left
						verticalAlignment: VerticalAlignment.Center
						
						textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}
					}
				}
			}
	    }
    }
}

