import bb.cascades 1.3

Page {
    property alias activity: dataLoadIndicator.running
    property alias showdata: dataContainer.visible

	property alias name: name.text
	property alias email: email.text
	property alias spaceamount: spaceamount.text
	property alias spaceused: spaceused.text
	property alias spaceavailable: spaceavailable.text

    titleBar: TitleBar {
        title: qsTr("Storage info") + Retranslate.onLanguageChanged
    }
	
    ScrollView {
        scrollViewProperties.scrollMode: ScrollMode.Vertical

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		content: Container {
			objectName: "storageInfoLists"

			leftPadding: 15.0
			rightPadding: 15.0
			topPadding: 15.0
			bottomPadding: 15.0

			horizontalAlignment: HorizontalAlignment.Center

	        layout: StackLayout {
	        }
	        
	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
	        
	        Container {
	            bottomMargin: 20.0
	            preferredWidth: 1440
	
				horizontalAlignment: HorizontalAlignment.Fill

                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
	            
	            layoutProperties: StackLayoutProperties {
	            }
	
	            ImageView {
			        imageSource: "asset:///images/settings/dropboxheader.png" 
			   
	                scalingMethod: ScalingMethod.None
	                leftMargin: 20.0
	                topMargin: 10.0
	                rightMargin: 0.0
	                bottomMargin: 10.0
	            }
		
		        Label {
		            text: "Dropbox"
		            
	                rightMargin: 20.0

					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1.0
                    }

	                textStyle {
	                    base: SystemDefaults.TextStyles.BigText
	                    fontWeight: FontWeight.Bold
                        textAlign: TextAlign.Center
	                }
		        }
		    }

            Container {
	            preferredWidth: 1440
                horizontalAlignment: HorizontalAlignment.Center

				layout: DockLayout {
				}

                ActivityIndicator {
					id: dataLoadIndicator
					preferredWidth: 400
					preferredHeight: 400
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Top
	                running: true
	            }
	
	            Container {
	                id: dataContainer
					visible: false
	
			        Container {
						horizontalAlignment: HorizontalAlignment.Fill
		
				        layout: StackLayout {
	                        orientation: LayoutOrientation.TopToBottom
	                    }
	
				        Label {
				            text: qsTr("Name") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: name
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                }
		                }
		
				        Label {
				            text: qsTr("Email") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: email
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                }
		                }
					}
					
		            Divider {
		            }
		            
		            Container {
						horizontalAlignment: HorizontalAlignment.Fill
		
				        layout: StackLayout {
				        }
				        
				        layoutProperties: StackLayoutProperties {
				        }
				        
				        Label {
				            text: qsTr("Space amount") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: spaceamount
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		
				        Label {
				            text: qsTr("Space used") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: spaceused
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		
				        Label {
				            text: qsTr("Space available") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: spaceavailable
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		            }			
		        }
		    }
		}
	}
}

