import bb.cascades 1.3

Page {
	id: storagePage

    property alias activity: dataLoadIndicator.running
    property alias showdata: dataContainer.visible

	property alias displayname: displayname.text
	property alias spaceamount: spaceamount.text
	property alias spaceused: spaceused.text
	property alias spacetrash: spacetrash.text
	property alias spaceavailable: spaceavailable.text
	property alias maxuploadsize: maxuploadsize.text

	property alias convertimport: convertimport.checked
	property alias convertdocuments: convertdocuments.selectedIndex
	property alias convertspreadsheets: convertspreadsheets.selectedIndex
	property alias convertdrawings: convertdrawings.selectedIndex
	property alias convertpresentations: convertpresentations.selectedIndex

	signal convertOptionsChanged()

    titleBar: TitleBar {
        title: qsTr("Storage info") + Retranslate.onLanguageChanged
    }
	
    ScrollView {
        scrollViewProperties.scrollMode: ScrollMode.Vertical

		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill

		content: Container {
			objectName: "storageInfoLists"

			leftPadding: 15.0
			rightPadding: 15.0
			topPadding: 15.0
			bottomPadding: 15.0

			horizontalAlignment: HorizontalAlignment.Center

	        layout: StackLayout {
	        }
	        
	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
	        
	        Container {
	            bottomMargin: 20.0
	            preferredWidth: 1440
	
				horizontalAlignment: HorizontalAlignment.Fill

                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
	            
	            layoutProperties: StackLayoutProperties {
	            }
	
	            ImageView {
			        imageSource: "asset:///images/settings/googledriveheader.png" 
			   
	                scalingMethod: ScalingMethod.None
	                leftMargin: 20.0
	                topMargin: 10.0
	                rightMargin: 0.0
	                bottomMargin: 10.0
	            }
		
		        Label {
		            text: "Google Drive"
		            
	                rightMargin: 20.0

					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Center

                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1.0
                    }

	                textStyle {
	                    base: SystemDefaults.TextStyles.BigText
	                    fontWeight: FontWeight.Bold
                        textAlign: TextAlign.Center
	                }
		        }
		    }

			SegmentedControl {
				id: segmentedControl
				objectName: "segmentedControl"

				horizontalAlignment: HorizontalAlignment.Center

				options: [
					Option {
						text: qsTr("Info") + Retranslate.onLanguageChanged
						value: "info"
						selected: true
					},
					Option {
						text: qsTr("Google Doc") + Retranslate.onLanguageChanged
						value: "googledoc"
					}
				]

				onSelectedValueChanged: {
					var value = segmentedControl.selectedValue;

					infoContainer.visible = false;
					googledocContainer.visible = false;

					if (value == "info")
						infoContainer.visible = true;
					else
						googledocContainer.visible = true;
				}
			}

            Container {
				id: infoContainer
				objectName: "infoContainer"

	            preferredWidth: 1440
                horizontalAlignment: HorizontalAlignment.Center

				layout: DockLayout {
				}

                ActivityIndicator {
					id: dataLoadIndicator
					preferredWidth: 400
					preferredHeight: 400
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Top
	                running: true
	            }
	
	            Container {
	                id: dataContainer
					visible: false
	
			        Container {
						horizontalAlignment: HorizontalAlignment.Fill
		
				        layout: StackLayout {
	                        orientation: LayoutOrientation.TopToBottom
	                    }
	
				        Label {
				            text: qsTr("Name") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: displayname
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                }
		                }
					}
					
		            Divider {
		            }
		            
		            Container {
						horizontalAlignment: HorizontalAlignment.Fill
		
				        layout: StackLayout {
				        }
				        
				        layoutProperties: StackLayoutProperties {
				        }
				        
				        Label {
				            text: qsTr("Space amount") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: spaceamount
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		
				        Label {
				            text: qsTr("Space used") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: spaceused
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		
				        Label {
				            text: qsTr("Space trash") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: spacetrash
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		
				        Label {
				            text: qsTr("Space available") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: spaceavailable
				            text: ""
		                    leftPadding: 10.0
		                    rightPadding: 10.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		            }			
		
		            Divider {
		            }
		            
		            Container {
						horizontalAlignment: HorizontalAlignment.Fill
		
				        layout: StackLayout {
				        }
				        
				        layoutProperties: StackLayoutProperties {
				        }
				        
				        Label {
				            text: qsTr("Max upload size") + Retranslate.onLanguageChanged
		
	                        translationX: 10.0
		
							horizontalAlignment: HorizontalAlignment.Left
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    fontWeight: FontWeight.Bold
                        		color: Color.create("#ff038ebc")
			                }
				        }
		
						ImageView {
							imageSource: "asset:///images/divider.png"
							horizontalAlignment: HorizontalAlignment.Fill

                   			translationY: -10.0
						}

				        TextField {
				            id: maxuploadsize
				            text: ""
		                    leftPadding: 20.0
		                    rightPadding: 20.0
		                    
							horizontalAlignment: HorizontalAlignment.Fill
		                    clearButtonVisible: false
		                    enabled: false
		
		                    layoutProperties: StackLayoutProperties {
		                    }
		
		                    textStyle {
			                    base: SystemDefaults.TextStyles.BodyText
			                    textAlign: TextAlign.Right
			                }
		                }
		            }
		        }
		    }

            Container {
				id: googledocContainer
				objectName: "googledocContainer"
				visible: false

	            preferredWidth: 1440
                horizontalAlignment: HorizontalAlignment.Center

				layout: StackLayout {
					orientation: LayoutOrientation.TopToBottom
				}

				Container {
					horizontalAlignment: HorizontalAlignment.Fill

					layout: StackLayout {
					}
					
					Label {
						text: qsTr("Documents import") + Retranslate.onLanguageChanged
		
	                    translationX: 10.0

						verticalAlignment: VerticalAlignment.Center

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
			                fontWeight: FontWeight.Bold
                       		color: Color.create("#ff038ebc")
						}
					}

					ImageView {
						imageSource: "asset:///images/divider.png"
						horizontalAlignment: HorizontalAlignment.Fill

              			translationY: -10.0
					}

					Container {
						horizontalAlignment: HorizontalAlignment.Fill

						layout: DockLayout {
						}
						
						Label {
							text: qsTr("Convert to Google Doc") + Retranslate.onLanguageChanged

							verticalAlignment: VerticalAlignment.Center

							textStyle {
								base: SystemDefaults.TextStyles.BodyText
							}
						}
				
						ToggleButton {
							id: convertimport

							horizontalAlignment: HorizontalAlignment.Right
							verticalAlignment: VerticalAlignment.Center

							onCheckedChanged: {
								storagePage.convertOptionsChanged();
							}
						}
					}
				}

				Divider {
				}

				Container {
					horizontalAlignment: HorizontalAlignment.Fill

					layout: StackLayout {
					}
					
					Label {
						text: qsTr("Export Google Doc") + Retranslate.onLanguageChanged
		
	                    translationX: 10.0

						verticalAlignment: VerticalAlignment.Center

						textStyle {
							base: SystemDefaults.TextStyles.BodyText
							fontWeight: FontWeight.Bold
							color: Color.create("#ff038ebc")
						}
					}

					ImageView {
						imageSource: "asset:///images/divider.png"
						horizontalAlignment: HorizontalAlignment.Fill

              			translationY: -10.0
					}

					DropDown {
						id: convertdocuments
						title: qsTr("Documents") + Retranslate.onLanguageChanged

						horizontalAlignment: HorizontalAlignment.Center

						layoutProperties: StackLayoutProperties {
						}

						Option {
							value: 0
							text: qsTr("MS Word document") + Retranslate.onLanguageChanged
						}
						Option {
							value: 1
							text: qsTr("Open Office doc") + Retranslate.onLanguageChanged
						}
						Option {
							value: 2
							text: qsTr("HTML") + Retranslate.onLanguageChanged
						}
						Option {
							value: 3
							text: qsTr("Plain text") + Retranslate.onLanguageChanged
						}
						Option {
							value: 4
							text: qsTr("Rich text") + Retranslate.onLanguageChanged
						}
						Option {
							value: 5
							text: qsTr("PDF") + Retranslate.onLanguageChanged
						}

						onSelectedIndexChanged: {
							storagePage.convertOptionsChanged();
						}
					}

					DropDown {
						id: convertspreadsheets
						title: qsTr("Spreadsheets") + Retranslate.onLanguageChanged

						horizontalAlignment: HorizontalAlignment.Center

						layoutProperties: StackLayoutProperties {
						}

						Option {
							value: 0
							text: qsTr("MS Excel") + Retranslate.onLanguageChanged
						}
						Option {
							value: 1
							text: qsTr("Open Office sheet") + Retranslate.onLanguageChanged
						}
						Option {
							value: 2
							text: qsTr("PDF") + Retranslate.onLanguageChanged
						}

						onSelectedIndexChanged: {
							storagePage.convertOptionsChanged();
						}
					}

					DropDown {
						id: convertdrawings
						title: qsTr("Drawings") + Retranslate.onLanguageChanged

						horizontalAlignment: HorizontalAlignment.Center

						layoutProperties: StackLayoutProperties {
						}

						Option {
							value: 0
							text: qsTr("JPEG") + Retranslate.onLanguageChanged
						}
						Option {
							value: 1
							text: qsTr("PNG") + Retranslate.onLanguageChanged
						}
						Option {
							value: 2
							text: qsTr("SVG") + Retranslate.onLanguageChanged
						}
						Option {
							value: 3
							text: qsTr("PDF") + Retranslate.onLanguageChanged
						}

						onSelectedIndexChanged: {
							storagePage.convertOptionsChanged();
						}
					}

					DropDown {
						id: convertpresentations
						title: qsTr("Presentations") + Retranslate.onLanguageChanged

						horizontalAlignment: HorizontalAlignment.Center

						layoutProperties: StackLayoutProperties {
						}

						Option {
							value: 0
							text: qsTr("MS PowerPoint") + Retranslate.onLanguageChanged
						}
						Option {
							value: 1
							text: qsTr("PDF") + Retranslate.onLanguageChanged
						}

						onSelectedIndexChanged: {
							storagePage.convertOptionsChanged();
						}
					}
				}
			}
		}
	}
}

