import bb.cascades 1.3

Sheet {
    id: mysheet

    attachedObjects: [
        Invocation {
            id: invoke
            query {
                mimeType: "application/x-bb-appworld"
                uri: "appworld://content/136397"
            }
        }
    ]
    
    content: Page {
        titleBar: TitleBar {
            title: qsTr("Tips")

            acceptAction: ActionItem {
                title: qsTr("Close")
                
                onTriggered: {
                    mysheet.close();
                }
            }
        }

        content: Container {
            background: Color.create('#ffffff')

            layout: StackLayout {
            }

			ScrollView {
				scrollViewProperties.scrollMode: ScrollMode.Vertical
				scrollViewProperties.pinchToZoomEnabled: false

				horizontalAlignment: HorizontalAlignment.Fill
				verticalAlignment: VerticalAlignment.Fill

				content: Container {
					layout: StackLayout {
						orientation: LayoutOrientation.TopToBottom
					}

					verticalAlignment: VerticalAlignment.Top
					horizontalAlignment: HorizontalAlignment.Fill

					topPadding: 30.0
                    leftPadding: 20.0
                    rightPadding: 20.0

                    Container {
                        ImageView {
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Center
                            
                            scalingMethod: ScalingMethod.AspectFit
                            
                            imageSource: "asset:///images/settings/googledriveheader.png"
                        }
                        
                        TextArea {
                            text: qsTr(
                            "If you use GoogleDrive, you need to register again, so as to use all the new features."
                            ) + Retranslate.onLanguageChanged
                            editable: false
                            focusHighlightEnabled: false
                            
                            textStyle {
                                color: Color.Black
                                base: SystemDefaults.TextStyles.BodyText
                            }
                        }
					}

                    ImageView {
                        imageSource: "asset:///images/divider.png"
                        horizontalAlignment: HorizontalAlignment.Fill
                    }

                    Container {
                        ImageView {
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Center

							maxWidth: 300
							maxHeight: 300
                            
                            scalingMethod: ScalingMethod.AspectFit
                            
                            imageSource: "asset:///images/misc/cloud_lock.png"
                        }
                        
                        TextArea {
                            text: qsTr(
                            "Define a password to protect your data."
                            ) + Retranslate.onLanguageChanged
                            editable: false
                            focusHighlightEnabled: false
                            
                            textStyle {
                                color: Color.Black
                                base: SystemDefaults.TextStyles.BodyText
                            }
                        }
					}

                    ImageView {
                        imageSource: "asset:///images/divider.png"
                        horizontalAlignment: HorizontalAlignment.Fill
                    }

                    Container {
						ImageView {
							verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Center

                            scalingMethod: ScalingMethod.AspectFit

                            imageSource: "asset:///images/tips/flag.png"
                        }
						
                        TextArea {
                            text: qsTr(
                                "You want to help me to translate PlayCloud or merely, fix or add your language support.\n" +
								"Please follow instruction on our BBM Channel C00097A2F."
                            	) + Retranslate.onLanguageChanged
                            editable: false
                            focusHighlightEnabled: false

                            textStyle {
                                color: Color.Black
                                base: SystemDefaults.TextStyles.BodyText
                            }
                        }
                    }

                    ImageView {
                        imageSource: "asset:///images/divider.png"
                        horizontalAlignment: HorizontalAlignment.Fill
                    }

                    Container {
						visible: false

                        ImageView {
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Center
                            
                            scalingMethod: ScalingMethod.AspectFit
                            
                            imageSource: "asset:///images/tips/thumbs.png"
                        }
                        
                        TextArea {
                            text: qsTr(
                            "If you don't already do, please rate the application in the BlackBerry World.\n"
                            ) + Retranslate.onLanguageChanged
                            editable: false
                            focusHighlightEnabled: false
                            
                            textStyle {
                                color: Color.Black
                                base: SystemDefaults.TextStyles.BodyText
                            }
                        }

                        Button {
                            text: qsTr("Rate the application") + Retranslate.onLanguageChanged
                            
                            horizontalAlignment: HorizontalAlignment.Center
                            
                            layoutProperties: StackLayoutProperties {
                            }
                            
                            onClicked: {
                                invoke.trigger("bb.action.OPEN");
                            }
                        }
                    }
                    
                    
//                    Container {
//						ImageView {
//							verticalAlignment: VerticalAlignment.Center
//                            horizontalAlignment: HorizontalAlignment.Center
//
//                            scalingMethod: ScalingMethod.AspectFit
//
//                            imageSource: "asset:///images/tips/sync.png"
//                        }
//						
//                        TextArea {
//                            text: qsTr(
//                                "You have requested folder synchronisation feature.\n" +
//								"It's incoming for 2014. You will be soon able to sync your folders and manage the conflicts."
//                            	) + Retranslate.onLanguageChanged
//                            editable: false
//                            focusHighlightEnabled: false
//
//                            textStyle {
//                                color: Color.Black
//                                base: SystemDefaults.TextStyles.BodyText
//                            }
//                        }
//                    }
//
//                    ImageView {
//                        imageSource: "asset:///images/divider.png"
//                        horizontalAlignment: HorizontalAlignment.Fill
//                    }
//
//                    Container {
//						ImageView {
//							verticalAlignment: VerticalAlignment.Center
//                            horizontalAlignment: HorizontalAlignment.Center
//
//                            scalingMethod: ScalingMethod.AspectFit
//
//                            imageSource: "asset:///images/tips/gesture.png"
//						}
//						
//                        TextArea {
//                            text: qsTr(
//                                "Many users have reported that the icon size was too small.\n" +
//                            	"PlayCloud supports pinch zoom gesture. So you can easily and merely " + 
//                            	"change the icon size in pinching the icon list."
//                            	) + Retranslate.onLanguageChanged
//                            editable: false
//                            focusHighlightEnabled: false
//
//                            textStyle {
//                                color: Color.Black
//                                base: SystemDefaults.TextStyles.BodyText
//                            }
//                        }
//                    }
				}
			}
		}
	}
}

