import bb.cascades 1.3
import "Items"
import "Components"

Tab {
	id: cloudTab

    imageSource: "asset:///images/dock/cloud.png"

	signal unlockRequest(string text)

	attachedObjects: [
		ComponentDefinition {
			id: pageSettingsDefinition
			source: "asset:///Settings.qml"
		},
		ComponentDefinition {
			id: pageHelpDefinition
			source: "asset:///Help/Help.qml"
		}
	]
		
    NavigationPane {
	    id: navigationPane
		objectName: "navigationPane"
	    backButtonsVisible: true

		property bool isInSettings: false

		Page {
		    id: mainPage
		    objectName: "mainPage"
		    
            actionBarVisibility: ChromeVisibility.Visible
            actionBarAutoHideBehavior: ActionBarAutoHideBehavior.Disabled

            content: Container {
				background: Color.create('#2e3339')

                layout: DockLayout {
		        }
		    
//		        ImageView {
//		            id: background
//		            
//					verticalAlignment: VerticalAlignment.Fill
//					horizontalAlignment: HorizontalAlignment.Fill
//
//		            imageSource: (OrientationSupport.orientation == UIOrientation.Landscape) ? 
//		                "asset:///images/background_landscape.png" : "asset:///images/background_portrait.png" 
//		        }
		
				Container {
					id: lockContainer
					objectName: "lockContainer"

					visible: false

					verticalAlignment: VerticalAlignment.Center
					horizontalAlignment: HorizontalAlignment.Center

                    layout: StackLayout {
                        orientation: LayoutOrientation.TopToBottom
                    }
                    
                    ImageView {
                    	horizontalAlignment: HorizontalAlignment.Center
                    
                    	imageSource: "asset:///images/misc/cloud_lock.png" 
                    }
                    
			        TextField {
			            id: password
						hintText: qsTr("Enter your password") + Retranslate.onLanguageChanged

                        input.submitKey: SubmitKey.Submit
						inputMode: TextFieldInputMode.Password
						
                        preferredWidth: 500.0

						horizontalAlignment: HorizontalAlignment.Center

                        textStyle {
							base: SystemDefaults.TextStyles.BodyText
						}

						onTextChanged: {
						}

						input {
							onSubmitted: {
								console.log("----- check password -----");

								cloudTab.unlockRequest(password.text);
							}
						}
                    }
				}

				Container {
				    id: mainContainer
				    objectName: "mainContainer"
				    
					visible: false

					layout: StackLayout {
						orientation: LayoutOrientation.TopToBottom
					}

					OrderFormContainer {
						id: orderForm
						objectName: "orderForm"

						visible: false
					}
					
					InstructionContainer {
						id: instruction
						objectName: "instruction"

						visible: playcloud.instructionStatus
					}

					Container {
						id: workspace
						objectName: "workspace"

						layout: StackLayout {
							orientation: LayoutOrientation.TopToBottom
						}

						Container {
							id: body 
							objectName: "body"

							verticalAlignment: VerticalAlignment.Top
							horizontalAlignment: HorizontalAlignment.Fill

							layout: StackLayout {
								orientation: LayoutOrientation.LeftToRight
							}
							
							layoutProperties: StackLayoutProperties {
							}
						}
					}

					ActivityContainer {
						id: activity
						objectName: "activity"
					}
				}

//				attachedObjects: [
//				   OrientationHandler {
//						onOrientationAboutToChange: {
//							if (orientation == UIOrientation.Landscape) {
//								background.imageSource = "asset:///images/background_landscape.png"
//							}
//							else {
//								background.imageSource = "asset:///images/background_portrait.png"
//							}
//						}
//						onOrientationChanged: { 
//						}
//						onDisplayDirectionChanged: {
//						}
//					}       
//				]
            }
		
//		    function onSwipeDown() {
//		        console.log("---- onSwipeDown ---");
//		  
//		        menu.onSwipeDown();      
//		    }
		}
		
		onCreationCompleted: {
			OrientationSupport.supportedDisplayOrientation = 
				SupportedDisplayOrientation.All;
		}

		onPushTransitionEnded: {
			console.log("Push page");

			Application.menuEnabled = (navigationPane.count() <= 1);
		}

		onPopTransitionEnded: {
			console.log("Pop page");

			Application.menuEnabled = (navigationPane.count() <= 1);

			if (navigationPane.count() <= 1) {
				if (navigationPane.isInSettings) {
					playcloud.reloadSettings();
					navigationPane.isInSettings = false;
				}
			}
		}        
	}
		    
	function onSettings() {
		console.log("---- onSettings ----");

		navigationPane.isInSettings = true;
		
		var page = pageSettingsDefinition.createObject();
		navigationPane.push(page);
	}

	function onHelp() {
		console.log("---- onHelp ----");
		
		navigationPane.isInSettings = false;

		var page = pageHelpDefinition.createObject();
		navigationPane.push(page);
	}
}
